<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/app.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function gettrend()
{
	var devid = $("#devid").val();
	var linkid = $("#linkid").val();
	var appid = $("#appid").val();
	var cname = $("#cname").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var addrtype = $("#addrtype").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/apptrend.php',
		data:{type:'apptrend', devid:devid, linkid:linkid, tmstart:starttime,
			tmend:endtime, appid: appid, errname:errname, addrtype:addrtype},
		type:'post',
		dataType:'json',
		success:function(json) {
			apptrend_graph("bpsup", json.xdate, json.up);
			apptrend_graph("bpsdown", json.xdate, json.down);
			apptrend_graph("bpsflow", json.xdate, json.flow);
			cluster_load_hide();
		}
	});
}

function apptrend_graph(render, xdate, data)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	var title = "";
	switch(render) {
	case "bpsup":
		title = "上行速率趋势图/bps";
		tag = '上行速率';
		break;
	case "bpsdown":
		title = "下行速率趋势图/bps";
		tag = '下行速率';
		break;
	case "bpsflow":
		title = "连接数趋势图/5分钟";
		tag = '连接数';
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 12;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			},
			formatter: function(params, ticket, callback) {
				for (i = 0; i < params.length; i++) {
					return params[i].name + '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				}
			}
		},
		title: {
			left: '1%',
			text: title,
			top:0,
			textStyle: {
				fontFamily: fontfamily,
				fontWeight: 'bold',
				fontSize: 14
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			data: xdate,
			splitLine: {
				show: true 
			},
		},
		grid: {
			left: '5%',
			top: '15%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: true 
			},
			nameTextStyle: {
				fontSize: 12,
				fontWeight: 'bold',
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
		},
		series: [{
			name: tag,
			type:'line',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			itemStyle: {
				borderColor: 'rgba(155, 127, 14, 1)',
				borderWidth: 12
			},
			areaStyle: {
			},
			data: data
		}]
	};

	myChart.setOption(option);
}
</script>
</head>
<body>
<div>
<?php
$starttime = $_GET['starttime'];
$endtime = $_GET['endtime'];

if (strtotime($endtime) - strtotime($starttime) < 86400) {
	$longstart = strtotime($endtime) - 86400;
	$starttime = date("Y-m-d H:i:s", $longstart);
}

$devid = $_GET['devid'];
$linkid = $_GET['linkid'];
$starttime = $_GET['starttime'];
$endtime = $_GET['endtime'];
$appid = $_GET['appid'];
$cname = $_GET['cname'];
$addrtype = $_GET['addrtype'];

if ($appid == "") {
	if (($conn = my_mysql_connect()) != false) {
		mysql_query("set names 'gbk'");
		$gbname = iconv("utf-8", "gb2312", $cname);
		$cmd = "select id from palog.axp where cname='$gbname'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result))
				$appid = $row[0];
		}
		mysql_close();
	}
}
$h1 = "trendopen.php?devid=$devid&linkid=$linkid&appid=$appid&cname=$cname&starttime=$starttime&endtime=$endtime&addrtype=$addrtype";
$h2 = "apptoip.php?devid=$devid&linkid=$linkid&appid=$appid&cname=$cname&starttime=$starttime&endtime=$endtime&addrtype=$addrtype";
?>
	<input type="hidden" value="<?=$devid?>" id="devid" />
	<input type="hidden" value="<?=$linkid?>" id="linkid" />
	<input type="hidden" value="<?=$starttime?>" id="starttime" />
	<input type="hidden" value="<?=$endtime?>" id="endtime" />
	<input type="hidden" value="<?=$appid?>" id="appid" />
	<input type="hidden" value="<?=$cname?>" id="cname" />
	<input type="hidden" value="<?=$addrtype?>" id="addrtype" />
	
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li class="active"><a href="<?=$h1?>">趋势统计</a></li>
			<li><a href="<?=$h2?>">用户列表</a></li>
		</ul>
	</div>
	
	<div style="width:100%; height:300px;margin-top:20px;" id="bpsup"></div>
	<div style="width:100%; height:300px;" id="bpsdown"></div>
	<div style="width:100%; height:300px;" id="bpsflow"></div>
</div>
<script>
gettrend();
Highcharts.setOptions({ global: { useUTC: false } });
</script>
</body>
</html>

