<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript">
function iptrend_data(bexport)
{
	var devid = $("#devid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var ipaddr = $("#ipaddr").val();
	var addrtype = $("#addrtype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../Flow/iptrend.php',
		data:{devid: devid, ip: ipaddr, tmstart: starttime, tmend: endtime, errname:errname, bexport:bexport, addrtype:addrtype},
		type:'get',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			if (bexport > 0) {
				cluster_downloadfile("");
				return false;
			}

			iptrend_graph(ipaddr, "bps", "bpsup", starttime, endtime, json);
			iptrend_graph(ipaddr, "flow", "bpsflow", starttime, endtime, json);
		}
	});
}

function iptrend_graph(ipaddr, chartype, render, starttime, endtime, data)
{
	var title = "";
	var units = 'bits/s';
	if (chartype == "flow") 
		units = "#flowcnt";
	var timestr = " - "+starttime+"/"+endtime;
	if (chartype == "bps") 
		title = ipaddr+"-流量趋势图"+timestr;
	else 
		title = ipaddr+"-连接数趋势图"+timestr;

	var options = {
		chart:{
			renderTo:render,
		       	borderRadius:0,
			defaultSeriesType:'area',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			//borderColor:'#D3DCEB',
			//borderRadius:4
		},title:{
			text:title,
		       	style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:80,
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:units
			},
			labels:{formatter:function(){
				return numberformats(parseInt(this.value));
				}
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
		},plotOptions:{
			area:{stacking:'normal',lineWidth:1,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			formatter:function() {
				return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
			}
		},series:[]
	}

	if (chartype == "bps") {
		options.series[0] = data.result_up[0];
		options.series[1] = data.result_down[0];
	}
	else {
		options.series[0] = data.result_flow[0];
	}
	
	new Highcharts.Chart(options);
}
</script>
</head>

<body>
<div class="outer">
<?php
$devid		= $_GET["devid"];
$ipaddr		= $_GET["ipaddr"];
$starttime	= $_GET["starttime"];
$endtime	= $_GET["endtime"];
$addrtype	= $_GET["addrtype"];
?>
<input type="hidden" value="<?=$devid?>" id="devid" />
<input type="hidden" value="<?=$ipaddr?>" id="ipaddr" />
<input type="hidden" value="<?=$starttime?>" id="starttime" />
<input type="hidden" value="<?=$endtime?>" id="endtime" />
<input type="hidden" value="<?=$addrtype?>" id="addrtype" />
	<div id="bpsup" style="margin:5px 0px;width:100%;height:300px;"></div>
	<div id="bpsflow" style="margin:5px 0px;width:100%;height:300px;"></div>
	<div style="position:absolute; right:10px; top:20px; text-align:right;">
		<a class="layui-btn layui-btn-xs layui-btn-normal" href="javascript:iptrend_data(1)">导出数据到EXCEL</a>
	</div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
iptrend_data(0);
</script>
</body>
</html>

