<?php
date_default_timezone_set("PRC");
header("Content-type:text/html; charset=gb2312");
$doc = "/usr/logd/www";
$tempfile_dir = "/usr/logdata/tmp";
$hours = $argv[2];

if (!file_exists($tempfile_dir))
	mkdir($tempfile_dir);

$stime = time() - 86400;
$pdfname = $tempfile_dir.'/'.date('Ymd', $stime).'_day.pdf';
$weekpdfname = $tempfile_dir.'/'.date('Ymd', $stime).'_week.pdf';
$monthpdfname = $tempfile_dir.'/'.date('Ymd', $stime).'_month.pdf';

if ($hours == 24 && file_exists($pdfname)) exit;
if ($hours == 168 && file_exists($weekpdfname)) exit;
if ($hours == 720 && file_exists($monthpdfname)) exit;

include("$doc/common.php");
set_time_limit(0);
ini_set("memory_limit", -1);

require_once('chinese.php');
require_once ($doc.'/jpgraph/jpgraph.php');
require_once ($doc.'/jpgraph/jpgraph_bar.php');
require_once ($doc.'/jpgraph/jpgraph_pie.php');
require_once ($doc.'/jpgraph/jpgraph_pie3d.php');

class PDF extends PDF_Chinese{}

$devid = 0;
$ipaddr = "0.0.0.0-255.255.255.255";
$strend = date('Y-m-d H:i:s');
$strstart = date('Y-m-d H:i:s', strtotime($strend) - $hours * 3600);
$topn = 20;
$errfile = _CHECKING_STATUS_F.'/ss.st';

$longstart = strtotime($strstart);
$longend = strtotime($strend);

$pdf=new PDF('P', 'mm', 'A4');

$pdf->Open();
$pdf->SetMargins(5, 5, 5);
$pdf->AddPage();
$pdf->SetDisplayMode('real');
$pdf->AddGBFont();

$pdf->SetFont('GB', 'B', 25);
$pdf->SetXY(57, 70);
$pdf->Cell(40,10, '־ϵͳ');
$pdf->Ln();
$pdf->SetX(80);
$pdf->Cell(40,10,'('.date('Y/m/d').')');
$pdf->Ln();

if (file_exists($doc.'/img/logo.jpg'))
	$pdf->Image($doc.'/img/logo.jpg', 75, 90, 50, 15);

$pdf->SetFont('GB', '', 14);
$pdf->Ln(50);

$pdf->SetX(60);
$pdf->Cell(40, 10, '豸ţ');
if ($devid == 0)
    $pdf->Cell(40, 10, "豸");
else $pdf->Cell(40,10, $devid);
$pdf->Ln();
$pdf->SetX(60);
$pdf->Cell(40, 10, 'ͳʱΣ');
$pdf->Cell(40, 10, date('Y/m/d H:i', $longstart).'-'.date('Y/m/d H:i', $longend));
$pdf->Ln();
$pdf->SetX(60);
$pdf->Cell(40, 10, 'ʱ䣺');
$pdf->Cell(40, 10, date('Y/m/d H:i'), 0,1,'L',false);

$dwidth = array(10, 28, 25, 25, 25, 25, 25, 18, 18, 18, 18);
$arcolors = array("#068BC5","#4EB133","#E6561C","#E6EB01","#24C8E3","#62E172", 
	"#F7EE64","#69F5C3","#ACDBFD","#C6C9CA", "#F68F67","#CDE577","#710000","#5D584B","#4572A7");

$pdf->AddPage();

//$tablefile = php_getiptable($strstart, $strend, $devid);
//exec(LOGDPATH."/bin/logeye iptop $devid $ip $longstart $longend $tablefile $top total $errfile", $output, $return);
$cmd = LOGDPATH."/bin/logeye user_behavior topiplist 'devid=$devid' ".
	"'ipaddr=$ipaddr' longstart=$longstart longend=$longend ".
	"topn=20 sort=total 'errfile=$errfile' iptype=ipcustom ".
	"grpid=0 bexport=0 filename=";
exec($cmd, $out, $ret);
$xlabels = array();
$yvalues = array();
foreach($out as $key=>$val){
	if (strstr($val, "error") != false)
		continue;
    $ds = explode(' ', $val);
    array_push($xlabels, long2ip($ds[0]));
    array_push($yvalues, ((double)$ds[2]+(double)$ds[3]) / 1000 / 1000);
}

if (count($yvalues) != 0) {
    $graph = new Graph(1000,300);
    $graph->SetScale("textlin");
    $graph->img->SetMargin(50,50,10,100);
    $graph->title->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->xaxis->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->title->Set("(λ:M)");

    $graph->ygrid->SetFill(false);
    $graph->xaxis->SetLabelAngle(50);
    $graph->xaxis->SetTickLabels($xlabels);

    $graph->yaxis->HideLine(false);
    $graph->yaxis->HideTicks(false,false);
    $bplot = new BarPlot($yvalues);
    $bplot->SetFillColor($arcolors);
    $graph->Add($bplot);
    $graph->Stroke($doc."/download/iptotal.png");

    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'ûͳ');
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/iptotal.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    unlink($doc.'/download/iptotal.png');
    $pdf->Ln();
    $pdf->SetY(110);

    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);

    $pdf->Cell($dwidth[0], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[1], 7, "û", 1, 0, 'C', true);
	$pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[5], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[6], 7, "bps", 1, 0, 'C', true);
    $pdf->Cell($dwidth[7], 7, "bps", 1, 0, 'C', true);
    $pdf->Cell($dwidth[8], 7, "bps", 1, 0, 'C', true);
    $pdf->Ln();
	
    $pdf->SetFont('GB', 'B', 10);
    $pdf->SetTextColor(0, 0, 0);
    foreach($out as $key=>$val){
        $ds = explode(' ', $val);

        $pdf->Cell($dwidth[0], 7, ($key+1)."", 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, long2ip($ds[0])."", 1, 0, 'C', false);
        $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[1])."", 1, 0, 'C', false);
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[2])."", 1, 0, 'C', false);
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[3])."", 1, 0, 'C', false);
		$pdf->Cell($dwidth[5], 7, dataformat((double)$ds[2]+(double)$ds[3])."", 1, 0, 'C', false);
		$pdf->Cell($dwidth[6], 7, dataformat((double)$ds[4])."", 1, 0, 'C', false);
        $pdf->Cell($dwidth[7], 7, dataformat((double)$ds[5])."", 1, 0, 'C', false);
		$pdf->Cell($dwidth[8], 7, dataformat((double)$ds[4]+(double)$ds[5])."", 1, 0, 'C', false);

        $pdf->Ln();
    }
}
unset($out);
unset($xlabels);
unset($yvalues);

//$tablefile = php_getapptable($strstart, $strend);
//exec(LOGDPATH."/bin/logeye apptop $devid $longstart $longend $tablefile $top total 0 $errfile", $output, $return);
$cmd = LOGDPATH."/bin/logeye user_behavior apptop 'devid=$devid'";
$cmd .= " longstart=$longstart longend=$longend page=1 'limit=$topn'";
$cmd .= " sort=total linkid=-1 'errfile=$errfile' appid=-1";
exec($cmd, $out, $ret);

$xlabels = array();
$yvalues = array();
foreach($out as $key=>$val){
	if (strstr($val, "error") != false)
		continue;
    $ds = explode(' ', $val);
    array_push($xlabels, $ds[2]);
    array_push($yvalues, ((double)$ds[4]+(double)$ds[5]) / 1000 / 1000);
}

if (count($yvalues) != 0) {
	$pdf->AddPage();
	
    $graph = new Graph(1000,300,'auto');
    $graph->SetScale("textlin");
    $graph->img->SetMargin(50,50,10,100);
    $graph->title->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->xaxis->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->title->Set("(λ:M)");
    $graph->ygrid->SetFill(false);
    $graph->xaxis->SetLabelAngle(50);
    $graph->xaxis->SetTickLabels($xlabels);
    $graph->yaxis->HideLine(false);
    $graph->yaxis->HideTicks(false,false);
    $bplot = new BarPlot($yvalues);
    $bplot->SetFillColor($arcolors);
    $graph->Add($bplot);
    $graph->Stroke($doc."/download/apptotal.png");

    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'Ӧͳ');
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/apptotal.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    unlink($doc.'/download/apptotal.png');
    $pdf->Ln();
    $pdf->SetY(110);

    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);

    $pdf->Cell($dwidth[0], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[1], 7, "Э", 1, 0, 'C', true);
	$pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[5], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[6], 7, "bps", 1, 0, 'C', true);
    $pdf->Cell($dwidth[7], 7, "bps", 1, 0, 'C', true);
    $pdf->Cell($dwidth[8], 7, "bps", 1, 0, 'C', true);
    $pdf->Ln();
    $pdf->SetTextColor(0, 0,0);
    $pdf->SetFont('GB', '', 10);
    foreach($out as $key=>$val){
		if (strstr($val, "error") != false)
			continue;
        $ds = explode(' ', $val);

        $pdf->Cell($dwidth[0], 7, ($key+1)."", 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, $ds[2], 1, 0, 'C');
		$pdf->Cell($dwidth[2], 7, dataformat((double)$ds[3])."", 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[4])."", 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[5])."", 1, 0, 'C');
        $pdf->Cell($dwidth[5], 7, dataformat((double)$ds[4]+(double)$ds[5])."", 1, 0, 'C');
		$pdf->Cell($dwidth[6], 7, dataformat((double)$ds[6])."", 1, 0, 'C');
        $pdf->Cell($dwidth[7], 7, dataformat((double)$ds[7])."", 1, 0, 'C');
        $pdf->Cell($dwidth[8], 7, dataformat((double)$ds[6]+(double)$ds[7])."", 1, 0, 'C');
		
        $pdf->Ln();
    }
}

$pdf->SetFont('GB', 'B', 14);
$pdf->Cell(40, 10, 'Эֲ');

unset($out);
unset($xlabels);
unset($yvalues);
$cmd = LOGDPATH."/bin/logeye user_behavior appgroup_info 'devid=$devid' appid=-1 ".
	"longstart=$longstart longend=$longend sort=total linkid=-1 'errfile=$errfile'";
exec($cmd, $out, $ret);

$xlabels = array();
$yvalues = array();
$nozero = 0;
foreach($out as $key=>$val){
	if (strstr($val, "error") != false)
		continue;
    $ds = explode(' ', $val);

    array_push($xlabels, $ds[2]);
	$s = ((double)$ds[3]+(double)$ds[4]) / 1000 / 1000;
    array_push($yvalues, $s);

    if ($s != 0)
        $nozero++;
}

if ($nozero != 0) {
	$pdf->AddPage();
	
    $graph = new PieGraph(600,550);
    $graph->legend->SetFont(FF_SIMSUN,FS_NORMAL);

    $p1 = new PiePlot($yvalues);
    $p1->SetSize(0.2);
    $p1->SetCenter(0.35,0.38);
    $p1->SetLegends($xlabels);
    $p1->SetSliceColors($arcolors);
    $graph->Add($p1);
    $graph->Stroke($doc."/download/apppie.png");


    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/apppie.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    unlink($doc.'/download/apppie.png');
    $pdf->Ln();
    $pdf->SetY(110);
    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);
    $pdf->Cell($dwidth[0], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[1], 7, "Э", 1, 0, 'C', true);
    $pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[5], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[6], 7, "bps", 1, 0, 'C', true);
    $pdf->Cell($dwidth[7], 7, "bps", 1, 0, 'C', true);
    $pdf->Cell($dwidth[8], 7, "bps", 1, 0, 'C', true);
    $pdf->Ln();

    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetFont('GB', '', 10);

    foreach($out as $key=>$val){
        $ds = explode(' ', $val);

        $pdf->Cell($dwidth[0], 7, ($key+1)."", 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, $ds[2], 1, 0, 'C');
        $pdf->Cell($dwidth[2], 7, $ds[5]."", 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[3])."", 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[4])."", 1, 0, 'C');
        $pdf->Cell($dwidth[5], 7, dataformat((double)$ds[3]+(double)$ds[4])."", 1, 0, 'C');
        $pdf->Cell($dwidth[6], 7, dataformat((double)$ds[6])."", 1, 0, 'C');
        $pdf->Cell($dwidth[7], 7, dataformat((double)$ds[7])."", 1, 0, 'C');
        $pdf->Cell($dwidth[8], 7, dataformat((double)$ds[6]+(double)$ds[7])."", 1, 0, 'C');

        $pdf->Ln();
    }

    unset($out);
    unset($xlabels);
    unset($yvalues);
}


$pdf->AddPage();
$pdf->SetFont('GB', 'B', 14);
$pdf->Cell(40, 10, 'ֲ');
$pdf->Ln();
$pdf->Ln();

$devid = 0;
$xlabels = array();
$yvalues = array();
$yy_rows = array();
$ydata = array();

//$tables = php_yystable($longstart, $longend);

//$xlabels = array("", "ȥ", "ȥƶ", "ȥͨ", "ȥͨ", "ȥ");

//$appid = 0;
//$cmd = LOGDPATH."/bin/logeye flowdirpie $longstart $longend $tables $errfile $appid $devid";
$cmd = LOGDPATH."/bin/logeye flowdir_ext session_app_top 'devid=$devid' longstart=$longstart ".
	"longend=$longend appid=-1 sort=total 'errfile=$errfile'";
exec($cmd, $out, $return);

$yystotal = 0;
if (count($out) > 0){	
	foreach($out as $k=>$val) {
		$ds = explode(' ', $val);
		if (strstr($val, "error") != false)
			continue;
		
		if ($ds[0] == "yys") {
			if (!isset($ds[1]) || !isset($ds[2]))
				continue;
			
			array_push($xlabels, $ds[2]);
			$yystotal += (double)$ds[3]+(double)$ds[4];
			array_push($ydata, (double)$ds[3]+(double)$ds[4]);
			array_push($yy_rows, array("yys"=>$ds[1], 
				"cname"=>$ds[2], 
				"upbytes"=>(double)$ds[3], 
				"downbytes"=>(double)$ds[4]));
		}
	}
	
	if ($yystotal != 0) {
		$graph = new PieGraph(600,350);
		$graph->legend->SetFont(FF_SIMSUN,FS_NORMAL);

		$p1 = new PiePlot($ydata);
		
		$p1->SetSize(0.2);
		$p1->SetCenter(0.35,0.5);
		$p1->SetLegends($xlabels);
		$p1->SetSliceColors($arcolors);
		$graph->Add($p1);
		$graph->Stroke($doc."/download/flowpie.png");

		$pdf->Image($doc.'/download/flowpie.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
		
		$pdf->Ln();
		$pdf->SetY(110);
		$pdf->SetFillColor(58,110,165);
		$pdf->SetTextColor(255, 255,255);
		$pdf->SetFont('GB', 'B', 10);
		$pdf->Cell(40, 7, "", 1, 0, 'C', true);
		$pdf->Cell(40, 7, "Ӫ", 1, 0, 'C', true);
		$pdf->Cell(40, 7, "", 1, 0, 'C', true);
		$pdf->Cell(40, 7, "", 1, 0, 'C', true);
		$pdf->Cell(40, 7, "", 1, 0, 'C', true);
		$pdf->Ln();

		$pdf->SetTextColor(0, 0, 0);
		$pdf->SetFont('GB', '', 10);

		foreach($yy_rows as $key=>$val){
			$pdf->Cell(40, 7, ($key+1)."", 1, 0, 'C');
			$pdf->Cell(40, 7, $val['cname'], 1, 0, 'C');
			$pdf->Cell(40, 7, dataformat((double)$val['upbytes'])."", 1, 0, 'C');
			$pdf->Cell(40, 7, dataformat((double)$val['downbytes'])."", 1, 0, 'C');
			$pdf->Cell(40, 7, dataformat((double)$val['upbytes']+(double)$val['downbytes'])."", 1, 0, 'C');

			$pdf->Ln();
		}
	}
    unset($out);
    unset($xlabels);
    unset($yvalues);
}

$out = array();
$xlabels = array();
$yvalues = array();

$pdf->AddPage();
$pdf->SetFont('GB', 'B', 14);
$pdf->Cell(40, 10, 'TOP');

//$tablefile = php_httpflowtable($longstart, $longend);
$bexport = 0;
$filename = "a";
$sort = "all";
$longs = time() - 86400;
$longe = time();

//$cmd = LOGDPATH."/bin/logeye domaincheck $domain $tablefile 1 25 $bexport $filename $errfile $sort $longs $longe";
$cmd = LOGDPATH."/bin/logeye user_behavior topdomain domain= page=1 'limit=$topn'".
		" bexport=0 filename= 'errfile=$errfile' sort= longstart=$longstart".
		" longend=$longend 'devid=$devid' hosttype=host dstport=0 hostgrp=0 yys=0 appid=1044 cachefile=logeye_cache_".strtotime("now");
exec($cmd, $out, $ret);

$pdf->Ln();
$pdf->SetY(20);
$pdf->SetFillColor(58,110,165);
$pdf->SetTextColor(255, 255,255);
$pdf->SetFont('GB', 'B', 10);
$pdf->Cell(20, 7, "", 1, 0, 'C', true);
$pdf->Cell(80, 7, "", 1, 0, 'C', true);
$pdf->Cell(20, 7, "", 1, 0, 'C', true);
$pdf->Cell(20, 7, "", 1, 0, 'C', true);
$pdf->Cell(20, 7, "", 1, 0, 'C', true);
$pdf->Cell(20, 7, "", 1, 0, 'C', true);
$pdf->Ln();

$pdf->SetTextColor(0, 0, 0);
$pdf->SetFont('GB', '', 10);

foreach($out as $key=>$val){
	$ds = explode(' ', $val);
	
	if ($ds[0] == "DATA")
		continue;

	$pdf->Cell(20, 7, ($key+1)."", 1, 0, 'C');
	$pdf->Cell(80, 7, $ds[0], 1, 0, 'C');
	$pdf->Cell(20, 7, $ds[1], 1, 0, 'C');
	$pdf->Cell(20, 7, dataformat((double)$ds[2])."", 1, 0, 'C');
	$pdf->Cell(20, 7, dataformat((double)$ds[3])."", 1, 0, 'C');
	$pdf->Cell(20, 7, dataformat((double)$ds[2]+(double)$ds[3])."", 1, 0, 'C');

	$pdf->Ln();
}

unset($out);
unset($xlabels);
unset($yvalues);

if ($hours == 24)
    $pdf->Output($pdfname);
else if ($hours == 168)
    $pdf->Output($weekpdfname);
else if ($hours == 720)
    $pdf->Output($monthpdfname);

?>
