<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function iptrend_data()
{
	var devid	= $("#devid").val();
	var starttime	= $("#starttime").val();
	var endtime	= $("#endtime").val();
	var ipaddr	= $("#ipaddr").val();
	var addrtype	= $("#addrtype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_dstip_trend.php',
		data:{devid: devid, ipaddr: ipaddr, starttime: starttime, endtime: endtime, errname:errname, addrtype:addrtype},
		type:'get',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			draw_trend(json.x, json.up, "bpsup");
			draw_trend(json.x, json.down, "bpsdown");
			draw_trend(json.x, json.flow, "bpsflow");
		}
	});
}

function draw_trend(xdate, ydata, render)
{
	var addrtype = $("#addrtype").val();
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "bpsup":
		title = "上行速率/bps";
		break;
	case "bpsdown":
		title = "下行速率/bps";
		break;
	case "bpsflow":
		title = "连接数/#flowcont";
		break;
	}

	title += '('+addrtype+')';
	var fontfamily = "微软雅黑";
	var fontsize = 14;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 10
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		title: {
			left: '1%',
			text: title,
			top:20,
			textStyle: {
				fontFamily: fontfamily,
				fontSize: 12
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			data: xdate,
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		grid: {
			left: '10%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 10,
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				interval: 0,
				color: '#000',
				textStyle: {
					fontSize: '10'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			boundaryGap: [0, '100%']
		},
		series: [{
				name:title,
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				areaStyle: {
				},
				data: ydata
			}
		]
	};

	myChart.setOption(option);
}

</script>
</head>

<body>
<div class="outer">
<?php
$devid		= $_GET["devid"];
$ipaddr		= $_GET["ipaddr"];
$starttime	= $_GET["starttime"];
$endtime	= $_GET["endtime"];
$addrtype	= $_GET["addrtype"];
?>
<input type="hidden" value="<?=$devid?>" id="devid" />
<input type="hidden" value="<?=$ipaddr?>" id="ipaddr" />
<input type="hidden" value="<?=$starttime?>" id="starttime" />
<input type="hidden" value="<?=$endtime?>" id="endtime" />
<input type="hidden" value="<?=$addrtype?>" id="addrtype" />
	<div style="margin-top:10px;">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top: 20px;">
			<legend>目标 <?=$ipaddr?> 趋势图</legend>
		</fieldset>
		<blockquote class="layui-elem-quote layui-text">
			设备编号:<?=$devid?>&nbsp;&nbsp;&nbsp;&nbsp;IP：<?=$ipaddr?>&nbsp;&nbsp;&nbsp;&nbsp;查询时间：<?=$starttime?> / <?=$endtime?>
		</blockquote>
	</div>
	<div id="bpsdown" style="margin:5px 0px;width:100%;height:250px;" class="addborder"></div>
	<div id="bpsup" style="margin:5px 0px;width:100%;height:250px;" class="addborder"></div>
	<div id="bpsflow" style="margin:5px 0px;width:100%;height:250px;" class="addborder"></div>
</div>
<script type="text/javascript">
iptrend_data();
</script>
</body>
</html>

