<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function yys_trend()
{
	var devid = 0;
	var yys = $("#yys").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var appid = $("#appid").val();
	 devid = $("#devid").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'yys_trend', devid: devid, yys: yys, starttime:starttime, endtime:endtime, errname:errname, appid: '-1'},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			drawchart("bpsup", json.xdate, json.up);
			drawchart("bpsdown", json.xdate, json.down);
		}
	});
}

function drawchart(render, xdate, data)
{
	$("#"+render).show();

	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	var title = "";
	switch(render) {
	case "bpsup":
		title = "上行速率趋势图/bps";
		tag = '上行速率';
		break;
	case "bpsdown":
		title = "下行速率趋势图/bps";
		tag = '下行速率';
		break;
	case "bpsflow":
		title = "连接数趋势图/5分钟";
		tag = '连接数';
		break;
	}

	var option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			},
			formatter: function(params, ticket, callback) {
				for (i = 0; i < params.length; i++) {
					return params[i].name + '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				}
			}
		},
		title: {
			left: '1%',
			text: title,
			top:10,
			textStyle: {
				fontWeight: 'bold',
				fontSize: 12
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			data: xdate,
			splitLine: {
				show: true 
			},
		},
		grid: {
			left: '10%',
			top: '15%',
			right:'4%'
		},
		yAxis: {
			type: 'value',
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: true 
			},
			nameTextStyle: {
				fontSize: 12,
				fontWeight: 'bold',
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			boundaryGap: [0, '100%']
		},
		series: [{
			name: tag,
			type:'line',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			itemStyle: {
				borderColor: 'rgba(155, 127, 14, 1)',
				borderWidth: 12
			},
			areaStyle: {
			},
			data: data
		}]
	};

	myChart.setOption(option);
}
</script>
</head>
<body>
<div>
<?php
$yys = $_GET["yys"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];
$appid = $_GET["appid"];
$devid = $_GET["devid"];

$url1 = "yys_detail.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
$url2 = "yys_dstip.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
$url3 = "yys_trend.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
?>
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="<?=$url1?>">流量概况</a></li>
			<li class="active"><a href="<?=$url3?>">流量趋势</a></li>
			<li><a href="<?=$url2?>">目标IP</a></li>
		</ul>
	</div>
	<input type="hidden" value="<?=$_GET['yys']?>" id="yys" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<div id="bpsup" style="width:100%;height:250px;display:none;"></div>
	<div id="bpsdown" style="width:100%;height:250px;display:none;"></div>
</div>
<script type="text/javascript">
yys_trend();
</script>
</body>
</html>
