/**
 * Created with JetBrains PhpStorm.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:47
 * To change this template use File | Settings | File Templates.
 */

function accounttrend(accname, starttime, endtime)
{
    $("<div id='accounttrend_win'></div>").appendTo("body");

    $('#accounttrend_win').load('../account/accounttrenddiv.php', {accname:''}, function(){
        setWinpos("accounttrend_win", 750, 700, "accounttrend_con");

        $('#accounttrend_win').css('z-index', config.zindex++);

        log_account_trend_data(accname, starttime, endtime);
    });
}

function log_account_trend_data(accname, starttime, endtime)
{
    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../account/accountlist.php',
        dataType:'json',
        type:'post',
		data:{type: 'acctrend', 
			account: accname, 
			errname: errname, 
			startdt: starttime, 
			enddt: endtime, 
			datatype: 'bpsup'}
        success:function(data){
            account_createtrend(data.result_up, "acctrendup", "bpsup");
            account_createtrend(data.result_down, "acctrenddown", "bpsdown");
            account_createtrend(data.result_flow, "acctrendflow", "flow");

            load_hide();
        }
    });
}

function account_createtrend(jsondata, render, datatype)
{
    var name;
    var units;

	units = "#flowcont";
	name = "连接数";
    if (datatype == "bpsup") {
		units="bps", 
		name = "上行流量";
	}
    else if (datatype == "bpsdown") {
		units = "bps"; 
		name = "下行流量";
	}

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'area'
        },
        title: {
            text: name+' - 趋势图',
            style:{fontSize:'14px'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            type: 'datetime',
            tickPixelInterval:80,
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: units
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
            }
        },
        plotOptions: {
            series: {
                shadow: false,
                marker: {
                    enabled: false,
                    symbol: 'circle',
                    radius: 2,
                    states: {
                        hover: {
                            enabled: true
                        }
                    }
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{name:name, data:[]}]
    }

    option.series = jsondata;
    var chart = new Highcharts.Chart(option);
}

function account_toappwin(accname, starttime, endtime)
{
    $("<div id='account_toappwin"+accname+"'></div>").appendTo("body");

    $('#account_toappwin'+accname).load('../account/account_toapp.php', {accname:accname}, function(){
        setWinpos("account_toappwin"+accname, 750, 700, "account_toapp"+accname+"_con");

        $('#account_toappwin'+accname).css('z-index', config.zindex++);

        account_toapp(accname, starttime, endtime, "account_toapp"+accname+"_con");
    });
}
function account_toapp(accname, starttime, endtime, render)
{
	var r;
    var tableid = 'account_toapp-'+accname;
    var tb = '';

    $("#"+tableid).parents(".topapp-list-table").remove();
    tb = '<div class="topapp-list-table" style="margin-top:0px;">'+
        '<table id="'+tableid+'" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>'+
        '<tr>'+
        '<th class="td-left-first" width="50px">序号</th>'+
        '<th class="td-normal">应用协议</th>'+
        '<th class="td-normal">上行流量(Byte)</th>'+
        '<th class="td-normal">下行流量(Byte)</th>'+
        '<th class="td-left-last">总流量(Byte)</th>'+
        '</tr>';
    tb += '</table></div>';
    $('#'+render).html(tb);

    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../account/accountlist.php',
        dataType:'json',
        type:'post',
        data:{type:'acctoapp', 
			account:accname, 
			startdt:starttime, 
			enddt:endtime, 
			errname:errname
		},
        success:function(json) {
            
            for (i = 0; i < json.rows.length; i++){
                r = json.rows[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                tb = '<tr class="'+trbg+'">'+
                    '<td class="td-left-first">'+(i+1)+'</td>'+
                    '<td class="td-normal">'+ r.cname+'</td>'+
                    '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                    '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                    '<td class="td-left-last">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                    '</tr>';
                $(tb).appendTo('#'+tableid+' tbody');
            }
            load_hide();

        }
    });
}