var hexcase = 0;
var chrsz   = 8;

function hex_md5(s){ return binl2hex(core_md5(str2binl(s), s.length * chrsz));}

function md5_ff(a, b, c, d, x, s, t)
{
	return md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
}

function md5_cmn(q, a, b, x, s, t)
{
	return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s),b);
}

function bit_rol(num, cnt)
{
	return (num << cnt) | (num >>> (32 - cnt));
}

function md5_gg(a, b, c, d, x, s, t)
{
	return md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
}

function md5_hh(a, b, c, d, x, s, t)
{
	return md5_cmn(b ^ c ^ d, a, b, x, s, t);
}

function md5_ii(a, b, c, d, x, s, t)
{
	return md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
}

function str2binl(str)
{
	var bin = Array();
	var mask = (1 << chrsz) - 1;
	for(var i = 0; i < str.length * chrsz; i += chrsz)
		bin[i>>5] |= (str.charCodeAt(i / chrsz) & mask) << (i%32);
	return bin;
}

function binl2hex(binarray)
{
	var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
	var str = "";
	for(var i = 0; i < binarray.length * 4; i++) {
		str += hex_tab.charAt((binarray[i>>2] >> ((i%4)*8+4)) & 0xF) + 
			hex_tab.charAt((binarray[i>>2] >> ((i%4)*8  )) & 0xF);
       	}
       	return str;
}

function core_md5(x, len)
{
	x[len >> 5] |= 0x80 << ((len) % 32);
	x[(((len + 64) >>> 9) << 4) + 14] = len;
	  
	var a =  1732584193;
	var b = -271733879;
	var c = -1732584194;
	var d =  271733878;

	for(var i = 0; i < x.length; i += 16) {
		var olda = a;
		var oldb = b;
		var oldc = c;
		var oldd = d;
			      
		a = md5_ff(a, b, c, d, x[i+ 0], 7 , -680876936);
		d = md5_ff(d, a, b, c, x[i+ 1], 12, -389564586);
		c = md5_ff(c, d, a, b, x[i+ 2], 17,  606105819);
		b = md5_ff(b, c, d, a, x[i+ 3], 22, -1044525330);
		a = md5_ff(a, b, c, d, x[i+ 4], 7 , -176418897);
		d = md5_ff(d, a, b, c, x[i+ 5], 12,  1200080426);
		c = md5_ff(c, d, a, b, x[i+ 6], 17, -1473231341);
	       	b = md5_ff(b, c, d, a, x[i+ 7], 22, -45705983);
	       	a = md5_ff(a, b, c, d, x[i+ 8], 7 ,  1770035416);
	       	d = md5_ff(d, a, b, c, x[i+ 9], 12, -1958414417);
	       	c = md5_ff(c, d, a, b, x[i+10], 17, -42063);
	       	b = md5_ff(b, c, d, a, x[i+11], 22, -1990404162);
	       	a = md5_ff(a, b, c, d, x[i+12], 7 ,  1804603682);
	       	d = md5_ff(d, a, b, c, x[i+13], 12, -40341101);
	       	c = md5_ff(c, d, a, b, x[i+14], 17, -1502002290);
	       	b = md5_ff(b, c, d, a, x[i+15], 22,  1236535329);
			      
		a = md5_gg(a, b, c, d, x[i+ 1], 5 , -165796510);
	       	d = md5_gg(d, a, b, c, x[i+ 6], 9 , -1069501632);
	       	c = md5_gg(c, d, a, b, x[i+11], 14,  643717713);
	       	b = md5_gg(b, c, d, a, x[i+ 0], 20, -373897302);
	       	a = md5_gg(a, b, c, d, x[i+ 5], 5 , -701558691);
	       	d = md5_gg(d, a, b, c, x[i+10], 9 ,  38016083);
	       	c = md5_gg(c, d, a, b, x[i+15], 14, -660478335);
	       	b = md5_gg(b, c, d, a, x[i+ 4], 20, -405537848);
	       	a = md5_gg(a, b, c, d, x[i+ 9], 5 ,  568446438);
	       	d = md5_gg(d, a, b, c, x[i+14], 9 , -1019803690);
	       	c = md5_gg(c, d, a, b, x[i+ 3], 14, -187363961);
	       	b = md5_gg(b, c, d, a, x[i+ 8], 20,  1163531501);
	       	a = md5_gg(a, b, c, d, x[i+13], 5 , -1444681467);
	       	d = md5_gg(d, a, b, c, x[i+ 2], 9 , -51403784);
	       	c = md5_gg(c, d, a, b, x[i+ 7], 14,  1735328473);
	       	b = md5_gg(b, c, d, a, x[i+12], 20, -1926607734);
			      
		a = md5_hh(a, b, c, d, x[i+ 5], 4 , -378558);
	       	d = md5_hh(d, a, b, c, x[i+ 8], 11, -2022574463);
	       	c = md5_hh(c, d, a, b, x[i+11], 16,  1839030562);
	       	b = md5_hh(b, c, d, a, x[i+14], 23, -35309556);
	       	a = md5_hh(a, b, c, d, x[i+ 1], 4 , -1530992060);
	       	d = md5_hh(d, a, b, c, x[i+ 4], 11,  1272893353);
	       	c = md5_hh(c, d, a, b, x[i+ 7], 16, -155497632);
	       	b = md5_hh(b, c, d, a, x[i+10], 23, -1094730640);
	       	a = md5_hh(a, b, c, d, x[i+13], 4 ,  681279174);
	       	d = md5_hh(d, a, b, c, x[i+ 0], 11, -358537222);
	       	c = md5_hh(c, d, a, b, x[i+ 3], 16, -722521979);
	       	b = md5_hh(b, c, d, a, x[i+ 6], 23,  76029189);
	       	a = md5_hh(a, b, c, d, x[i+ 9], 4 , -640364487);
	       	d = md5_hh(d, a, b, c, x[i+12], 11, -421815835);
	       	c = md5_hh(c, d, a, b, x[i+15], 16,  530742520);
	       	b = md5_hh(b, c, d, a, x[i+ 2], 23, -995338651);
			      
		a = md5_ii(a, b, c, d, x[i+ 0], 6 , -198630844);
	       	d = md5_ii(d, a, b, c, x[i+ 7], 10,  1126891415);
	       	c = md5_ii(c, d, a, b, x[i+14], 15, -1416354905);
	       	b = md5_ii(b, c, d, a, x[i+ 5], 21, -57434055);
	       	a = md5_ii(a, b, c, d, x[i+12], 6 ,  1700485571);
	       	d = md5_ii(d, a, b, c, x[i+ 3], 10, -1894986606);
	       	c = md5_ii(c, d, a, b, x[i+10], 15, -1051523);
	       	b = md5_ii(b, c, d, a, x[i+ 1], 21, -2054922799);
	       	a = md5_ii(a, b, c, d, x[i+ 8], 6 ,  1873313359);
	       	d = md5_ii(d, a, b, c, x[i+15], 10, -30611744);
	       	c = md5_ii(c, d, a, b, x[i+ 6], 15, -1560198380);
	       	b = md5_ii(b, c, d, a, x[i+13], 21,  1309151649);
	       	a = md5_ii(a, b, c, d, x[i+ 4], 6 , -145523070);
	       	d = md5_ii(d, a, b, c, x[i+11], 10, -1120210379);
	       	c = md5_ii(c, d, a, b, x[i+ 2], 15,  718787259);
	       	b = md5_ii(b, c, d, a, x[i+ 9], 21, -343485551);
			      
		a = safe_add(a, olda);
	       	b = safe_add(b, oldb);
	       	c = safe_add(c, oldc);
	       	d = safe_add(d, oldd);
       	}
       	return Array(a, b, c, d);
}

function safe_add(x, y)
{
	var lsw = (x & 0xFFFF) + (y & 0xFFFF);
       	var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
       	return (msw << 16) | (lsw & 0xFFFF);
}

function setCookie(name, value)
{
	var Days = 30;
	var exp = new Date();

	exp.setTime(exp.getTime() + Days*24*60*60*1000);
	
	if ((otherval = getCookie(name)) != null)
		value += ',' + otherval;
	document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
}

function getCookie(name)
{
	var arr, reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");
	    
	if(arr = document.cookie.match(reg))
		return unescape(arr[2]);
	else
		return null;
} 

function delCookie(name)
{
	var exp = new Date();
	exp.setTime(exp.getTime() - 1);

	var cval=getCookie(name);
	if(cval != null)
		document.cookie= name + "="+cval+";expires="+exp.toGMTString();
}

function panalog_ajax(url, data, callback)
{
	$.ajax({
		url: url,
		data: data,
		type:'post',
		dataType: 'json',
		success:function(json) {
			cluster_load_hide();

			if (data.bexport == 0)
				callback(json);
			else
				cluster_downloadfile("");
		}
	})
}

function unixtimetodate(tm)
{
	var dt = new Date();
	dt.setTime(tm * 1000);
	return dt.getFullYear()+'-'+(dt.getMonth()+1)+'-'+dt.getDate()+
		'/'+dt.getHours()+':'+dt.getMinutes()+':'+dt.getSeconds();
}

function datetounixtime(str)	/* 2020-03-17 12:00:00 */
{
	return parseInt((new Date(str)).getTime() / 1000);
}

function IsDigit(str)
{
	var i;

	if (str == "")
		return false;

	i = 0
	if (str.charAt(0) == '-')
		i = 1

	for (; i < str.length; i++) {
		if (str.charAt(i) < '0' || str.charAt(i) > '9')
			return false;
	}

	return true;
}

function IsChar(str)
{
	if (str == "")
		return false;

	for (i = 0; i < str.length; i++) {
		if (str.charCodeAt(i) >= 255)
			return false;
        }

	return true;
}

function IsDigitIn(str, min, max)
{
	var i;

	if (!IsDigit(str))
		return false;

	if (str >= min && str <= max)
		return true;

	return false;
}

function IsEngString(str)
{
	var i;

	if (str == "")
		return false;

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) >= 'a' && str.charAt(i) <= 'z' ||
		    str.charAt(i) >= 'A' && str.charAt(i) <= 'Z' ||
		    str.charAt(i) >= '0' && str.charAt(i) <= '9') {
			continue;
		}
		else {
			return false;
		}
	}

	return true;
}

function IsIPAddr(str)
{
	var i;
	var ar = [];

	ar = str.split(".");
	if (ar.length != 4)
		return false;

	for (i = 0; i < ar.length; i++) {
		if (ar[i] == "") return false;
		if (isNaN(ar[i])) return false;
		if (ar[i] >= 0 && ar[i] <= 255)
			return true;
	}

	return false;
}

function IsMacAddr(str)
{
	var ar;

	ar = str.split(":");
	if (ar.length != 6)
		return false;

	return true;
}

function IP2Int(str)
{
	var ar;
	var ipval;

	ar = str.split(".");
	ipval = ar[0] * 16777216 + ar[1] * 65536 +
		ar[2] * 256 + ar[3];

	return ipval;
}

function IsValidatePort(str)
{
	var ar;

	ar = str.split("-");

	if (ar.length == 1) {
		if (IsDigitIn(ar[0], 1, 65535))
			return true;
	}

	if (ar.length == 2) {
		if (!IsDigitIn(ar[0], 1, 65535))
			return false;
		if (!IsDigitIn(ar[1], 1, 65535))
			return false;
		if (ar[0] > ar[1])
			return false;

		return true;
	}

	return false;
}

function IsNet(str)
{
	var ar;

	ar = str.split("/");
	if (ar.length != 2) return false;
	if (!IsIPAddr(ar[0])) return false;
	if (!IsDigitIn(ar[1], 1, 32)) return false;

	return true;
}

function IsMAC(str)
{
	var ar;

	ar = str.split(":");
	if (ar.length != 6)
		return false;

	for (i = 0; i < ar.length; i++) {
		if (ar[i].length != 1 && ar[i].length != 2)
			return false;

		for (j = 0; j < ar[i].length; j++) {
			var ch = ar[i].charAt(j);

			if (!((ch >= '0' && ch <= '9') || (ch >= 'a' && ch <= 'f') || (ch >= 'A' && ch <= 'F')))
				return false;
		}
	}

	return true;
}

function IsNetmask(str)
{
	if (!IsIPAddr(str))
		return false;

	var n = str.split(".");
	i = 0;
	while (i < 4) {
		if (n[i] == 255)
			i++;
		else break;
	}

	if (i == 4)
		return true;

	if ((n[i] % 2) != 0)
		return false;

	for (j = i + 1; j < 4; j++) {
		if (n[j] != 0)
			return false;
	}

	return true;
}

function TrimAll(str)
{
	var s="";

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) != ' ') {
			s = s + str.charAt(i);
		}
	}

	return s;
}

function EnableIt(obj, enable)
{
	if (enable) {
		obj.readonly = false;
		obj.style.backgroundColor = 0xffffff;
	}
	else {
		obj.readonly = true;
		obj.style.backgroundColor = 0xd0d0d0;
	}
}

function ShowDialog(url, args, width, height)
{
	var attr = "dialogWidth:" + width + "px;" +
	           "dialogHeight:" + height + "px;" +
		"edge:raised;status:no;scroll:no;help:no";
	return showModalDialog(url, args, attr);
}

function ShowWindow(url, args, width, height)
{
	if (height == 0)
		height = window.screen.height;

	var left = (window.screen.width - width) / 2;
	var top = 50;

	if (args == "")
		args = "scrollbars=1,toolbar=0,menubar=0,status=0,location=0";
	else
		args += ",location=0";

	args += ",top=" + top + ",left=" + left + ",height=" + height + ",width=" + width;
	window.open(url, "_blank", args);
}

function ShowPage(page)
{
	document.all(page).style.display = "block";
}

function HidePage(page)
{
	document.all(page).style.display = "none";
}

function OnCancel()
{
	window.close();
}

function OnValidateIP(obj, allowEmpty)
{
        obj.value = TrimAll(obj.value);

        if (obj.value == "" && allowEmpty ||
            obj.value != "" && IsIPAddr(obj.value))
        {
                return true;
        }

        return false;
}

function OnValidateMask(obj, allowEmpty)
{
        obj.value = TrimAll(obj.value);

        if (obj.value == "" && allowEmpty ||
            obj.value != "" && IsNetmask(obj.value))
        {
                return true;
        }

        return false;
}

function IsName(str)
{
	var i;

	if (str == "")
		return false;

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) == '&' || str.charAt(i) == ',' ||
		    str.charAt(i) == ';' || str.charAt(i) == '?' ||
		    str.charAt(i) == '+' || str.charAt(i) == '=' ||
		    str.charAt(i) == '$' || str.charAt(i) == '%' ||
		    str.charAt(i) == '*' || str.charAt(i) == '!' ||
		    str.charAt(i) == '~') {
			return false;
		}
	}

	return true;
}

function standardtop()
{	
	$.get("../isstandard.php", function(json){
		if (json == "0")
		{
			$("#keyinfo-topimg").html('<a href="javascript:freelicense();void(0);" style="color:#f00;font-weight:bold;text-decoration:none;">免费版</a>');
		}
	});
}

function load_top_html(type)
{
	$("#tophtml").load("../top.php?css="+type, function(){
		setInterval(function(){var s = datecon(); $("#dtime").html(s)}, 60000);
	});
}

var left_bl = 0;
function sh_left()
{
	if (! left_bl){
		$('div.left-div').hide(500);
		left_bl = 1;
		$('#sl-btn').css('background-position', '-12px 0');
	}else if(parseInt(left_bl)){
		$('div#left-div').show(500);
		$('#sl-btn').css('background-position', '0 0');
		left_bl = 0;
	}

}

function numberformats(num)
{
	if (num >= 1000 * 1000 * 1000 * 1000)
		return Math.round(parseFloat(num/1000/1000/1000/1000)*100)/100+'T';
	else if (num >= 1000 * 1000 * 1000)
		return Math.round(parseFloat(num/1000/1000/1000)*100)/100+'G';
	else if (num >= 1000 * 1000)
		return Math.round(parseFloat(num/1000/1000)*100)/100+'M';
	else if (num >= 1000)
		return Math.round(parseFloat(num/1000)*100)/100+'K';
	else return Math.round(num*100)/100;
}

function numformats(num)
{
    if (num >= 1000 * 1000 * 1000)
        return Math.round(parseFloat(num/1000/1000/1000)*100)/100+'G';
    else if (num >= 1000 * 1000)
        return Math.round(parseFloat(num/1000/1000)*100)/100+'M';
    else if (num >= 1000)
        return Math.round(parseFloat(num/1000)*100)/100+'K';
    else return Math.round(num*100)/100;
}

function getnumberper(num)
{
	if (num >= 1000 * 1000 * 1000)
		return 'G';
	else if (num >= 1000 * 1000)
		return 'M';
	else if (num >= 1000)
		return 'K';
	else return 'B';
}

function set_tdcolor(id)
{
	var tbtb = document.getElementById(id).getElementsByTagName('tr');
	for (var i = 0; i < tbtb.length; i++){
		if (i % 2 == 0)
			tbtb[i].className = 'add-bak';
	}
}
function validate()
{
	var start, end;
	start = $('#startip').val();
	end = $('#endip').val();

	if (start != '' && !IsIPAddr(start)){
		$('#startip')[0].select();
		return false;
	}
	if (end != '' && !IsIPAddr(end)){
		$('#endip')[0].select();
		return false;
	}
	return true;
}

function filltime(hours)
{
    if (!hours)
        hours = 1;
    var h = "";
    var dt = new Date();
    var dt2 = dt - hours * 3600 * 1000;
    dt2 = new Date(dt2);

    var days = 30;
    var curyear = dt.getFullYear();
    var curmonth = dt.getMonth()+1;
    var curdate = dt.getDate();
    var curhour = dt.getHours();
    var curminute = dt.getMinutes();
    var curyear2 = dt2.getFullYear();
    var curmonth2 = dt2.getMonth()+1;
    var curdate2 = dt2.getDate();
    var curhour2 = dt2.getHours();
    var curminute2 = dt2.getMinutes();

    switch(curmonth)
    {
        case 1: days = 31;
            break;
        case 2: days = 29;
            break;
        case 3: days = 31;
            break;
        case 4: days = 30;
            break;
        case 5: days = 31;
            break;
        case 6: days = 30;
            break;
        case 7: days = 31;
            break;
        case 8: days = 31;
            break;
        case 9: days = 30;
            break;
        case 10: days = 31;
            break;
        case 11: days = 30;
            break;
        case 12: days = 31;
            break;
    }

    for (var i = 2017; i <= 2030; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startyear");
        $(h).appendTo("#endyear");
    }

    for (var i = 1; i <= 12; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startmonth");
        $(h).appendTo("#endmonth");
    }

    for (var i = 1; i <= days; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startdate");
        $(h).appendTo("#enddate");
    }

    for (var i = 0; i <= 23; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#starthour");
        $(h).appendTo("#endhour");
    }

    for (var i = 0; i <= 59; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startminute");
        $(h).appendTo("#endminute");
    }

    for (var i = 0; i <= 59; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startsec");
        $(h).appendTo("#endsec");
    }

    $("#startyear").val(curyear2);
    $("#startmonth").val(curmonth2);
    $("#startdate").val(curdate2);
    $("#starthour").val(curhour2);
    $("#startminute").val(curminute2);

    $("#endyear").val(curyear);
    $("#endmonth").val(curmonth);
    $("#enddate").val(curdate);
    $("#endhour").val(curhour);
    $("#endminute").val(curminute);

    /********************************************/
    $("#startmonth").change(function(){
        var monstart = $(this).val();
        $("#startdate").html('');

        switch(parseInt(monstart)){
            case 1: days = 31;
                break;
            case 2: days = 29;
                break;
            case 3: days = 31;
                break;
            case 4: days = 30;
                break;
            case 5: days = 31;
                break;
            case 6: days = 30;
                break;
            case 7: days = 31;
                break;
            case 8: days = 31;
                break;
            case 9: days = 30;
                break;
            case 10: days = 31;
                break;
            case 11: days = 30;
                break;
            case 12: days = 31;
                break;
        }
        for (var i = 1; i <= days; i++){
            h = "<option value='"+i+"'>"+i+"</option>";
            $(h).appendTo("#startdate");
            //$(h).appendTo("#enddate");
        }
    });

    $("#endmonth").change(function(){
        var monend = $(this).val();
        $("#enddate").html('');

        switch(parseInt(monend)){
            case 1: days = 31;
                break;
            case 2: days = 29;
                break;
            case 3: days = 31;
                break;
            case 4: days = 30;
                break;
            case 5: days = 31;
                break;
            case 6: days = 30;
                break;
            case 7: days = 31;
                break;
            case 8: days = 31;
                break;
            case 9: days = 30;
                break;
            case 10: days = 31;
                break;
            case 11: days = 30;
                break;
            case 12: days = 31;
                break;
        }
        for (var i = 1; i <= days; i++){
            h = "<option value='"+i+"'>"+i+"</option>";
            $(h).appendTo("#enddate");
        }
    });
}

function bind_bottom_cls(id)
{
    var i, o;
    var len = $("#"+id+" .blank_gr").children('div').length;

    for (i = 0; i < len; i++){
        o = $("#"+id+" .blank_gr").children('div').eq(i);
        if (o.attr("id") == "exit")
            continue;
        o.mouseover(function(){$(this).addClass('big-button-mouse-over')});
        o.mouseout(function(){$(this).removeClass('big-button-mouse-over')});
        o.click(function(){
            for (i = 0; i < len; i++){
                o = $("#"+id+" .blank_gr").children('div').eq(i);
                if (o.hasClass("big-button-mouse-click")) {
                    o.removeClass("big-button-mouse-click");
                    o.addClass("big-button");
                }
            }
            $(this).addClass('big-button-mouse-click');
        });
    }
}
function small_bt_over()
{
	$('td.popup-bar-right').mouseover(function(){
		$(this).addClass('small-button-mouseover');
	});
	$('td.popup-bar-right').mouseout(function(){
		$(this).removeClass('small-button-mouseover');
	});
	
	$(".big-button-mouse-click").mousedown(function(){
		$(this).addClass("big-button-mousedown");	
	});
	$(".big-button-mouse-click").mouseup(function(){
		$(this).removeClass("big-button-mousedown");	
	});

	$('#exit').mouseover(function(){
		$(this).addClass('exits-over');
	})
	$('.exit').mouseout(function(){
		$(this).removeClass('exits-over');
	});
	
	$('.confirm').mouseover(function(){
		$(this).addClass('confirm-mouseover');
	})
	
	$('.confirm').mouseout(function(){
		$(this).removeClass('confirm-mouseover');
	});
}

function setWinpos(id, w, h, conid)
{
	var top = 0;
	var outer_h = 0;
	var width= document.body.clientWidth;
	var height = document.body.clientHeight;

	var body_h = $(window).height();


	if (id == "showapptree_win") {
		w = 600;
		$("#treelist").css("width", "400px");
	}



	if (body_h > h)
		outer_h = h;
	else outer_h = body_h;

	top = (body_h - outer_h)/2 + $(document).scrollTop();

	$('#'+id).css('position', 'absolute');
	$('#'+id).css('left', ((width-w-177)/2) +'px');
	$('#'+id).css('top', top +'px');

	$('#'+id).css('width', w+'px');
	$('#'+id).css('height', outer_h+'px');

	$('#'+conid).css('border', '2px solid #3AA4D4');
	$('#'+conid).css('border-bottom', 'none');
	
	$('#'+conid).css("background", "fff");
	$('#'+conid).css('width', (w-4)+'px!important;');
		
	$('#'+conid).css('height', (outer_h-25-30)+'px');
	$('#'+conid).css('background', '#fff');
	$('#'+conid).css('overflow-y', 'auto');
	$('#'+conid).css('overflow-x', 'hidden');
	$('#'+conid).css('text-align', 'left');

	$('#'+id+' .blank_gr').css('width', (w-4)+'px!important;');
	$('#'+id+' .blank_gr').css('height', '30px');
	
	$('#'+id).css('display', 'block');

	$("#"+id+" .popup-bar-right-close").click(function(){
		$("#"+id).remove();
	});
	$("#"+id).find("#exit").click(function(){
		$("#"+id).remove();
	});

	$('.bridge-head').mousedown(function(){$(this).parent().css('z-index', config.zindex++);});

/*
	$("#"+id).draggable({cursor:'move',handle:'div.bridge-head,div.blank_gr',stop:function(){
		if (parseInt($(this).css("top")) < 0) $(this).css("top", 0);
	}});
*/

	small_bt_over();
	bind_bottom_cls(id);
}

function popwindow_tips(tips)
{
	if ($(".popwindow-tips"))
		$(".popwindow-tips").remove();
		
	$("<div class='popwindow-tips'>"+tips+"</div>").appendTo("body");
	$(".popwindow-tips").css('left', ($(window).width()-240)/2 + 'px');
	$(".popwindow-tips").css('top', ($(window).height()-55)/2+$(document).scrollTop() + 'px');
	$(".popwindow-tips").css('z-index', 100000);
	$(".popwindow-tips").fadeIn('slow');
	setTimeout(function(){$(".popwindow-tips").fadeOut('slow');}, 2000);
}

function setlang(zh)
{
	$.get("../config.php", {lang:zh}, function(json){
		location.reload();
	})
}

function sethostname()
{
	$.get("../Maintain/sysname.php?type=0", function(json){
		var md;
		eval("md="+json);
		document.title = md.sysname;
	});
}

function logout()
{
	$.get("../logout.php", function(json){
		parent.location.href = "../index.php";
	});
}

function getdate(hours)
{
	var dt = new Date();
	var endsecs = dt.getTime();
	var startsecs = endsecs - 3600 * 1000 * hours;

	dt.setTime(startsecs);
	var startstr = dt.getFullYear() + '-' + (dt.getMonth()+1) + '-' + dt.getDate() + ' ';
	return startstr;
}

function getrangedate(hours)
{
	var dt = new Date();
	var endsecs = dt.getTime();
	var startsecs = endsecs - 3600 * 1000 * hours;

	dt.setTime(startsecs);
	var startstr = dt.getFullYear() + '-' + (dt.getMonth()+1) + '-' + dt.getDate() + ' ';
	startstr += dt.getHours() + ':' + dt.getMinutes() + ':' + dt.getSeconds();
	dt.setTime(endsecs);
	var endstr = dt.getFullYear() + '-' + (dt.getMonth()+1) + '-' + dt.getDate() + ' ';
	endstr += dt.getHours() + ':' + dt.getMinutes() + ':' + dt.getSeconds();
	
	return startstr + ' ~ ' + endstr;
}

function datecon()
{
	var d, day, x, s = "";
	var ds, mon, h, mi;
	
	var x = new Array("星期日", "星期一", "星期二");
	var x = x.concat("星期三","星期四", "星期五");
	var x = x.concat("星期六");
	
	d = new Date();
	day = d.getDay();

	if (d.getDate() < 10)
		ds = "0" + d.getDate();
	else ds = d.getDate();
	
	if ((d.getMonth()+1) < 10)
		mon = "0" + (d.getMonth()+1);
	else mon = (d.getMonth()+1);
	
	if (d.getHours() < 10)
		h = "0" + d.getHours();
	else h = d.getHours();
	
	if (d.getMinutes() < 10)
		mi = "0" + d.getMinutes();
	else mi = d.getMinutes();

	s += d.getFullYear() +'-'+ mon + '-'+ ds + ' ' + h + ':' + mi + ' ' + x[day];
	
	return s;
}

function closewin(id)
{
	$('#'+id).remove();
}

function killprocess(filename)
{
	$.getJSON("../kill.php", {file:filename}, function(json){
		popwindow_tips(json.str);
	});
}

function createrightbox()
{
	var mon, dat, hours, minute, second;
	
	$.get("../sysinfo.php", function(data){
		if (data == "" || data == null) 
			return false;
			
		var htl = "<div id='rightbox-d'>";
		htl += "<div id='rightbox-head'>";
		htl += "<div style='float:left;vertical-align:middle;line-height:25px;'><img src='../img/73.png' style='margin:5px 5px 0 0;' /></div>";
		htl += "<div style='float:left;vertical-align:middle;line-height:25px;font-family:微软雅黑,arial'>系统提示</div>";
		htl += "<div style='float:right'><a href='javascript:closerightbox();void(0)'>"+
			"<img src='../img/icon-closeC.png' border='0' title='关闭' style='margin:5px 5px 0 0;'></a></div>";
		htl += "</div>";
		htl += "<div id='rightbox-con'></div>";
		htl += "</div>";
	
		$(htl).appendTo("body");
		
		$('#rightbox-d').draggable({cursor:'move',handle:'div.rightbox-head'});

		var sys = data.split(';');
		var dt = new Date();
		
		if ((dt.getMonth()+1) < 10)
			mon = '0'+(dt.getMonth()+1);
		else mon = (dt.getMonth()+1);
		if (dt.getDate() < 10)
			dat = '0'+dt.getDate();
		else dat = dt.getDate();
		if (dt.getHours() < 10)
			hours = '0'+dt.getHours();
		else hours = dt.getHours();
		if (dt.getMinutes() < 10)
			minute = '0'+dt.getMinutes();
		else minute = dt.getMinutes();
		if (dt.getSeconds() < 10)
			second = '0'+dt.getSeconds();
		else second = dt.getSeconds();
		
		var fullyear = dt.getFullYear()+'/'+mon+'/'+dat+' '+hours+':'+minute+':'+second;
		
		var tbcon = "<table style='width:100%;height:100px;'>";
		tbcon += "<tr><td width='10px'></td><td align='left'>"+sys[0]+"</td></tr>";
		tbcon += "<tr><td width='10px'></td><td align='left'>"+sys[1]+"</td></tr>";
		tbcon += "<tr><td width='10px'></td><td align='left'>"+sys[2]+"</td></tr>";
		tbcon += "<tr><td width='10px'></td><td align='left'>本地时间："+fullyear+"</td></tr>";
		tbcon += "</table>";
		
		$("#rightbox-con").html(tbcon);
	});
}

function closerightbox()
{
	$("#rightbox-d").hide();
}

function kill_logeye()
{
    $.ajax({
        url:'../kill.php',
        success:function(data){
            clearInterval(intervalid);
        }
    });
}

/* 集群环境下查询进度条 */
function cluster_load_show()
{
	var height = $(window).height();
	var width = $(window).width();
	
	if (parent.window.parent.window.frames.length > 1)
		left = (width - 300) / 2 - 100;
	else
		left = (width - 300) / 2;
	
	$(".cluster_load_show").remove();
	
	var css = 'style="position:fixed; border: none; border-radius:5px;';
	css += 'width:320px; top: 150px; left:'+left+'px; font-size:12px;';
	css += 'background:#157f6c; padding: 5px 0; color:#eee; z-index:200000000"';
	
	str = '<div class="load-panel"></div>';
	str += '<div '+css+' class="ui-widget">'+
			'<div class="cluster_load_show" style="position:relative;width:300px; margin:0 auto;"></div>'+
		'</div>';
	
	$(str).appendTo("body");
	
	/* top.php */
	if (parent.window.parent.window.frames.length > 1)
		if (typeof(eval("parent.window.parent.window.frames[0].loadshow")) == "function")
			parent.window.parent.window.frames[0].loadshow();
	/* menu.php */
	if (parent.window.parent.window.frames.length > 1) {
		if (typeof(eval("parent.window.parent.window.frames[1].loadshow")) == "function")
			parent.window.parent.window.frames[1].loadshow();
	}
}

function cluster_load_hide()
{
	$(".cluster_load_show").parent().remove();
	$(".load-panel").remove();
	
	/* top.php */
	if (parent.window.parent.window.frames.length > 1)
		if (typeof(eval("parent.window.parent.window.frames[0].loadhide")) == "function")
			parent.window.parent.window.frames[0].loadhide();
	/* menu.php */
	if (parent.window.parent.window.frames.length > 1) {
		if (typeof(eval("parent.window.parent.window.frames[1].loadhide")) == "function")
			parent.window.parent.window.frames[1].loadhide();
	}
                    
	clearInterval(intervalid);
}

function return_masterstr(per, usetime, errname)
{
	var s = '<label class="cluster-label">主服务 (<span id="cluster-usetime">'+usetime+'s</span>)';
	s += '&nbsp;<a style="color:#fff" href="javascript:node_cancel(\'master\', \''+errname+'\')">停止</a></label>';
	s += '<div class="cluster-outer">'+
		'<div class="cluster-cont1"></div>'+
		'<div class="master-1 cluster-master-1" style="width:'+per+'%;"></div>'+
		'<div class="master-2 cluster-master-2">'+per+'%</div>'+
		'</div>';
	return s;
}

function return_nodestr(uuid, per, recnum, errname)
{
	$("#cluster-usetime").html(usetime+'s');

	var v = '<label style="margin-top:5px; display:block;">节点 '+uuid;
	v += '&nbsp;<a style="color:#fff" href="javascript:node_cancel(\''+uuid+'\', \''+errname+'\')">停止</a>';
	v += '</label>';
	v += '<div style="width:300px;margin-top:5px; color:#000; height:20px;">';
	v += '<div style="position:absolute; height:20px; width:300px; background:#fff;"></div>';
	v += '<div class="'+uuid+'-1 cluster-master-1" style="width:'+per+'%;"></div>';
	v += '<div class="'+uuid+'-2 cluster-master-2">'+per+'% / '+recnum+'</div>';
	v += '</div>';

	return v;
}

var intervalid;
var ntimes = 0;
var usetime = 0;
function cluster_get_status(errname)
{
	var val = 0;
	
	$.ajax({
		url:'../cluster_error.php',
		data:{type:"errcret", errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
		}
	});

	usetime = 0;
	var s = return_masterstr(0, usetime, errname);

	if ($(".master-1").length == 0) {
		$(".cluster_load_show").html("");
		$(s).appendTo(".cluster_load_show");
	}
	
	ntimes = 0;

	if (intervalid) 
		clearInterval(intervalid);

	intervalid = setInterval(function(){
		usetime++;

		$.ajax({
			url:'../cluster_error.php',
			data:{errname:errname},
			type:'post',
			dataType:'json',
			success:function(json) {
				if (json.rows && json.rows.length != 0) {
					v = '';
					m = 0;
					for (i = 0; i < json.rows.length; i++) {
						r = json.rows[i];
						per = 0;
						if (r.total != 0)
							per = parseInt((r.curr / r.total) * 100);
						
						if (r.uuid == "master") {
							m = 1;
							if ($("."+r.uuid+"-1").length == 0) {
								v += return_masterstr(per, usetime, errname);
							} else {
								$("."+r.uuid+"-1").css("width", per+'%');
								$("."+r.uuid+"-2").text(per+'%');
								$("#cluster-usetime").html(parseInt(usetime / 2) +'s');
							}
						}
					}

					if (m == 0 && $(".master-1").length == 0)
						v += s;

					for (i = 0; i < json.rows.length; i++) {
						r = json.rows[i];
						per = 0;
						if (r.total != 0)
							per = parseInt((r.curr / r.total) * 100);
						if (r.uuid != "" && r.uuid != "master") {
							if ($("."+r.uuid+"-1").length == 0) {
								v += return_nodestr(r.uuid, per, r.recnum, errname);
							}
							else {
								$("."+r.uuid+"-1").css("width", per+'%');
								$("."+r.uuid+"-2").text(per+'% / '+r.recnum);
								$("#cluster-usetime").html(parseInt(usetime / 2) +'s');
							}
						}
					}

					if (v != "")
						$(v).appendTo(".cluster_load_show");
				}
				else {
					if (json.yn && json.yn == "rename")
						return;
					if (json.yn && json.yn == "end")
						clearInterval(intervalid);

					// if (++ntimes >= 5)
					//	clearInterval(intervalid);
				}
			}
		});
	}, 500);
	
	return intervalid;
}

/* 集群取消查询 */
function node_cancel(uuid, errname)
{
	$.ajax({
		url:'../node_cancel.php',
		data:{uuid: uuid, errname: errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (uuid == "master") {
				alert("停止所有节点查询任务！");
				clearInterval(intervalid);
				cluster_load_hide();
			}
			else
				alert("停止节点 "+uuid+" 查询任务！");
		}
	});
}

function downloadfile(masterip, nodeip, filename, data_type)
{
	if (masterip == nodeip) {
		window.open("../download.php?filename=" + filename + "&nodeip=" + nodeip+"&data_type="+data_type, "_blank");
		return false;
	}
	
	$.ajax({
		url:'../fetchfile.php',
		type:'post',
		data: {type:'downloadfile', nodeip: nodeip, filename: filename, data_type:data_type},
		dataType:'json',
		success:function(json) {
			window.open("../download.php?filename=" + filename + "&nodeip=" + nodeip+"&data_type="+data_type, "_blank");
		}
	})
}

function delefile(masterip, nodeip, filename, table, data_type)
{
	if (masterip == nodeip) {
		window.open("../delefile.php?filename="+filename+"&data_type="+data_type, "_blank");
		
		$.ajax({
			url:"../delefile.php?filename="+filename+"&data_type="+data_type,
			success:function(json) {
				table.reload("tmpfile-list-table");
			}
		})
		
		return false;
	}
	
	$.ajax({
		url:'../fetchfile.php',
		type:'post',
		data: {type:'delefile', nodeip: nodeip, filename: filename, data_type:data_type},
		success:function(json) {
			table.reload("tmpfile-list-table");
		}
	})
}

function hisfile_delete(table,data_type,file_type)
{
	layer.confirm('确定要删除所有临时文件吗？', {icon: 3, title:'提示'}, function(index){
		$.ajax({
			url:'../fetchfile.php',
			type:'post',
			data: {type:'deleteallfile',data_type:data_type, file_type:file_type},
			dataType:'json',
			success:function(json) {
				table.reload("tmpfile-list-table");
			}
		})
		layer.close(index);
	})
}

function tmpfile_mulexport(_table, data_type)
{
	var check = _table.checkStatus('tmpfile-list-table');	// id
	if (check.data.length == 0)
		return false;
	var suffix = (check.data[0].fname).split('.')[1];
	var filelist = "";
	var fileinfo = "";
	var masterip = check.data[0].masterip;
	for (var i = 0; i < check.data.length; i++) {
		if ((check.data[i].fname).indexOf(suffix) == -1) {
			layer.alert("相同类型文件才能合并导出.", {icon:2, time:0});
			return false;
		}

		fileinfo = check.data[i].nodeip + "," + check.data[i].fname;
		if (i == 0) {
			filelist = fileinfo;
		}
		else {
			filelist = filelist + ":" + fileinfo;
		}
	}

	layer.confirm('确定要合并导出文件吗？', {icon: 3, title:'提示'}, function(index){
		console.log(JSON.stringify(check));
		window.open("../ajax_tmpfile_mulexport.php?action=mulexport&list=" + encodeURIComponent(filelist) +
			"&masterip=" + masterip+"&data_type="+data_type, "_blank");
//			encodeURIComponent(JSON.stringify(check)), "_blank");
		layer.close(index);
	})
}

function tmpfile_muldelete(_table, data_type)
{
	var check = _table.checkStatus('tmpfile-list-table');	// id
	if (check.data.length == 0)
		return false;

	layer.confirm('确定要删除以上数据吗？', {icon: 3, title:'提示'}, function(index){
		$.ajax({
			url: '../ajax_tmpfile_muldelete.php',
			data: {action: 'muldelete', list: encodeURIComponent(JSON.stringify(check)), data_type:data_type},
			type: 'post',
			success: function(json) {
				_table.reload('tmpfile-list-table');
			}
		})
		layer.close(index);
	})
}

/*
if (typeof(layer) == "undefined") {
	sobj = document.createElement('script');
       	sobj.type = "text/javascript";
	sobj.src = "../layui/layui.js";
	headobj = document.getElementsByTagName('head')[0];
	headobj.appendChild(sobj);
}
*/

var _downfilelist;
function cluster_downloadfile(file_type)
{ 
	var sobj, headobj;
	var data_type
	
	if(file_type == "url" || file_type == "dns" || file_type == "session" || file_type == "npm" || file_type == "natlog" || file_type == "dropflow")
		data_type = 1;
	else
		data_type = 2;

	if ($("#tmpfile-toolbar").length == 0) {
		sobj = '<script type="text/html" id="tmpfile-toolbar">';
		sobj += '<div class="layui-btn-container">';
		sobj += '<button class="layui-btn layui-btn-normal layui-btn-xs" lay-event="export">导出选中</button>';
		sobj += '<button id="mul-delete" class="layui-btn layui-btn-normal layui-btn-xs layui-btn-disabled" lay-event="mul-delete">批量删除</button>';
		sobj += '<button id="all-delete" class="layui-btn layui-btn-normal layui-btn-xs layui-btn-disabled" lay-event="all-delete">删除全部</button>';
		sobj += '</div>';
		sobj += '</script>';
		$(sobj).appendTo("body");
	}

       	layui.use(['layer', 'form', 'table', 'upload', 'element'], function() {
		var _layer = layui.layer, _table = layui.table;
		var c = '<div style="padding:0 10px;">';
		c += '<table id="tmpfile-list-table" lay-filter="tmpfile-list-table"></table></div>';
		var index = layer.open({
			type: 1,
			title: '下载列表',
			shade: [0.8, '#393D49'],
			shadeClose:1,
			area:['850px', '550px'],
			content: c,
			success:function(layero, index) {
				_table.render({
					elem: '#tmpfile-list-table'
					,url: '../cluster_filelist.php'
					,where:{
						file_type:file_type
					}
					,method: 'post'
					,smartReloadModel:true
					,toolbar:'#tmpfile-toolbar'
					,loading:false
					,cols: [[
						{field: 'id', title: 'ID', width:50},
						{type: 'checkbox', width:50},
						{field: 'fname', title: '文件名称'},
						{field: 'nodeip', title: '来源', width:150},
						{field: 'fsize', title: '文件大小', width:100,templet:function(obj){
							return numberformats(obj.fsize);
						}},
						{field: 'ctimestr', title: '创建时间',width:150},
						{field: 'mk', title: '操作',width:100, templet:function(obj){
							var h = '<a href="javascript:void(0)" lay-event="download">下载</a>';
						       	h += '&nbsp;&nbsp;';
						       	h += '<a href="javascript:void(0)" lay-event="delete">删除</a>';
						       	return h;
						}}
					]]
			       	});
	
				_table.on('checkbox(tmpfile-list-table)', function(obj){
					var check = _table.checkStatus('tmpfile-list-table');	// id
					if (check.data.length > 0) {
						$("#mul-delete").removeClass("layui-btn-disabled");
						$("#all-delete").removeClass("layui-btn-disabled");
					}
					else {
						$("#mul-delete").addClass("layui-btn-disabled");
						$("#all-delete").addClass("layui-btn-disabled");
					}
				});

	
				_table.on('toolbar(tmpfile-list-table)', function(obj){
					switch(obj.event) {
					case "export":
						tmpfile_mulexport(_table, data_type);
					       	break;

					case "mul-delete":
						tmpfile_muldelete(_table, data_type);
					       	break;

					case "all-delete":
						hisfile_delete(_table, data_type, file_type);
					       	break;
					}
				})
				_table.on('tool(tmpfile-list-table)', function(obj){
				    switch(obj.event) {
					case "download":
						downloadfile(obj.data.masterip, obj.data.nodeip, obj.data.fname, data_type);
					       	break;

					case "delete":
						delefile(obj.data.masterip, obj.data.nodeip, obj.data.fname, _table, data_type);
					       	break;
				    }
			    })
			}
		})
	})
}

function cluster_file_del(host, port, filename)
{
	window.open("http://"+host+":"+port+"/download.php?filename="+filename+"&type=del", "_blank");
	
	$(".download-file-list").html("");
	cluster_tmpfile_list();
}

function dwfile_select()
{
	var files = '';
	var a = [];

	$("[name='dwfile']").each(function(){
		if ($(this).attr("checked"))
			a.push($(this).val());
	});

	if (a.length > 0)
		files = a.join(',');
}

function load_show()
{
	var height = $(window).height();
	var width = $(window).width();
	var w = 400;
	var h = 26;
	var left = (width - w - 177)/2;
	var top = (height - h - 60)/2;
	
	var left2 = left + 190;
	var top2 = top+3;
	var left3 = left + 380;
	var top3 = top+5;

	$("<div class='load-panel-value' style='position:absolute;left:"+left2+
		"px;top:"+top2+"px;width:30px;z-index:105;color:#94B73E;z-index:10002'>0%</div>"+
		"<div class='load-panel-close' style='position:absolute;left:"+left3+
		"px;top:"+top3+"px;width:30px;z-index:105;color:#94B73E;z-index:10003;'>"+
		"<a href='javascript:proexit()'><img src='../img/b_drop.png' /></a></div>"+
        "<div class='load-panel-inner' style='position:absolute;left:"+left+"px;top:"+top+"px;width:"+w+"px;"+
        "text-align:center;color:#fff;border:1px solid #666;z-index:10001'></div>").appendTo("body");
}

function load_hide()
{
	$(".load-panel-inner").remove();
	$(".load-panel-value").remove();
	$(".load-panel-close").remove();
}

function retstr_getnum(str)
{
	var s = str.split(' ');
	
	var pos = parseInt(s[1]);
	var total = parseInt(s[3]);
	
	return parseFloat(((pos / total) * 100).toFixed(2));
}

var _logeye_pid = 0;
var _errfilename = '';
function getpid(str)
{
	var s = str.split(' ');
	
	_logeye_pid = parseInt(s[5]);
	
	return _logeye_pid;
}

function proexit()
{
	$.ajax({
		url:'../kill.php',
		data:{pid:_logeye_pid, errfile: _errfilename},
		type:'post',
		success:function(json) {
			load_hide();
		}
	});
}

function get_status(errname)
{
	var val = 0;
	
	$( ".load-panel-inner" ).progressbar({
	  value: val
	});
	
	/* 提前创建滚动条文件 */
	$.ajax({
		url:'../error.php',
		data:{type:"errcret", errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
		}
	});
	
	var intervalid;
						
	intervalid=setInterval(function(){
        $.ajax({
            url:'../error.php',
            data:{errname:errname},
            type:'post',
            dataType:'json',
            success:function(json){
                if (json.yn == "yes"){
                    if (json.str != "") {
						val = retstr_getnum(json.str);
						getpid(json.str);
						_errfilename = errname;
						
						$( ".load-panel-inner" ).progressbar({
						  value: val
						});
						$( ".load-panel-value" ).html(val+'%');
					}
                }
		else if (json.yn == "no") {
                    clearInterval(intervalid);
                }
            }
        });
    }, 500);
	
	return intervalid;
}

var z_index = 9000;
function rp_showbox(width, height, rp_id)
{
    var s = '';

    var id = "report_pop_box_"+rp_id;
    var title_id = "report_pop_box_title_"+rp_id;
    var content_id = "report_pop_box_content_"+rp_id;

    s = '<div class = "report-pop-box" id="'+id+'">';
	s += '<div style="position:absolute;right:10px;top:5px;"><a href="javascript:rp_windowclose(\''+id+'\')"><img src="../img/delete2.png" /></a></div>';
    s += '<div class="report-pop-box-title" id="'+title_id+'"></div>';
    s += '<div class="report-pop-box-content" id="'+content_id+'"></div>';
    s += '<div class="report-pop-box-foot">';
    s += '<div class="foot-ok foot_ok_'+rp_id+'"><img src="../img/ok.png"/></div>';
    s += '<div class="foot-cancel"><a href="javascript:rp_windowclose(\''+id+'\');void(0);" title="关闭窗口"><img src="../img/cancel.png"/></a></div>';
    s += '</div>';
    s += '</div>';

    $(s).appendTo("body");

    var aw = $(window).width();
    var ah = $(window).height();
	
	if (height > ah) height = ah - 50;

    var l = (aw - width) / 2 - 150;
    var t = (ah - height) / 2 + $(document).scrollTop();

    $("#"+id).css("top", t+'px');
    $("#"+id).css("left", l+'px');
    $("#"+id).css("width", width+"px");
    $("#"+id).css("height", height+"px");
    $("#"+id).css("z-index", z_index++);
    $("#"+content_id).css("height", (height-100)+"px");
    $("#"+content_id).html('');

    $("#"+id).show();

    $("#"+id).draggable({handle:"#"+title_id, delay:0 });

    $("#"+title_id).click(function(){
        $(this).parents("#"+id).css('z-index', ++z_index);
    });
}

function cloud_logout()
{
	$.ajax({
		url:'../logout.php',
		data:{type:'cloud_logout'},
		type:'post',
		dataType:'json',
		success:function(json) {
			location.href="cloud_index.php"
		}
	});
}

// 窗口关闭
function rp_windowclose(pid)
{
    $("#"+pid).remove();
}

function gotohttps()
{
	$.ajax({
		url: '../httpcheck.php',
		dataType:'json',
		type:'post',
		data:{type:'check'},
		success:function(data){
			if (data.yn == "no") {
				parent.location.href="https://"+data.str+"/index.php";
			}
		}
	});
}

var _ipdata_checked = 0;
function cpumem()
{
	$.ajax({
		url:'../cpu.php',
		data:{type:'cpu', ipdata_checked: _ipdata_checked},
		type:'post',
		dataType:'json',
		success:function(data) {
			_ipdata_checked = 1;
			$("#cpu").html(data.cpu+'% / '+data.ncpu+'核');
			$("#mem").html(data.mem+'% / '+parseInt(data.totalmem)+'G');
			$("#hard").html(data.hard+'% / '+data.hsize);
		}
	});
}

function getdevice()
{
	var devid = "";
	var arr = [];

	var user = $("#gol_user").val();
	var usertype = $("#gol_usertype").val();

	$('[name="device"]').each(function(){
		if ($(this).attr("checked"))
			arr.push($(this).val());
	})

	if (usertype == "hangxin" && arr.length == 0)
		return 0;

	if (user != "admin" && arr.length == 0) {
		$('[name="device"]').each(function(){
			arr.push($(this).val());
		})
	}

	if (arr.length == 0) {
		$('[name="device"]').each(function(){
			if ($(this).attr("checked"))
				arr.push($(this).val());
		})
	}
	
	if (arr.length == 0)
		devid = 0;
	else
		devid = arr.join(',');

	return devid;
}

function getdevname()
{
	var devname = "";
	var arr = [];

	$('[name="device"]').each(function(){
		if ($(this).attr("checked"))
			arr.push($(this).attr("cname"));
	})
	
	if (arr.length == 0)
		devname = "";
	else
		devname = arr.join(',');

	return devname;
}

function showerror(str)
{
	var s, w, h;

	w = $(window).width();
	h = $(window).height();

	var left = (w - 500) / 2 - 50;
	var toppx = (h - 40) / 2;

	if ($(".showerror").length <= 0) {
		s = '<div class="showerror" style="position:absolute; top:'+toppx+'px; left:'+left+'px; width:500px; height:20px; line-height:20px; text-align:center;'+
			'padding:5px 0; font-size:14px; display:none; z-index:100;">';
		s += '<img src="../img/73.png" style="margin-bottom:-3px;" />&nbsp;'+str;
		s += '</div>';
	}
	$(s).appendTo("body");
	$(".showerror").slideDown("slow");
	setTimeout(function(){
		$(".showerror").slideUp("slow");
	}, 3000);
}

function checkaxptable()
{
	$.ajax({
		url:'../checkapp.php',
		data:{type:'checkapp'},
		type:'post',
		dataType:'json',
		success:function(data){
			if (data.yn == "no")
				showerror(data.str);
		}
	});
}

function updateequalcount(count)
{
	if (count != 0) {
		$(".showequalcount").removeClass("show-expire-background1");
		$(".showequalcount").addClass("show-expire-background2");
	}else {
		$(".showequalcount").removeClass("show-expire-background2");
		$(".showequalcount").addClass("show-expire-background1");
	}
	$(".showequalcount").text(count);
}

function getexpirelen(devtype)
{
	var grpid = 0;
	var sch = "";
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devstat', grpid: grpid, devtype: devtype},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (devtype == "panabit")
				$(".device-expire").html(data.exp);
			else
			if (devtype == "ixcache")
				$(".ixcache-expire").html(data.exp);

			if (devtype == "panabit")
				updateequalcount(data.equalcount);
		}
	});
}

function cloud_tips_show()
{
	var w = $(window).width();
	var h = $(window).height();
	
	var left = (w - 100) / 2;
	var top = (h - 100) / 2;
	
	$('<div id="tips1" class="cloud-tips1">正在连接...</div>').appendTo("body");
	$("#tips1").css("left", left+"px");
	$("#tips1").css("top", top+"px");
	
	$("#tips1").show();
}

function cloud_tips_hide()
{
	$("#tips1").remove();
}

function opendevicelist()
{
	$(".device-list-outer").show();
	$(".device-list-outer-tohide").show();
	$(".device-list-outer-tohide").click(function(){
		$(".device-list-outer").hide();
		$(this).hide();
	});
}

function search_dev()
{
	var arr = [];
	var str = "";
	var keyword = $("#search_dev").val();
	if(keyword == "") {
		$("#search_list").html("");
		return;
	}
	$("[name='device']").each(function(){
		var cname = $(this).attr("cname");
		var search_str = cname.toLowerCase();
		var sn = $(this).attr("sn");
		if(search_str.indexOf(keyword) !== -1 || sn.indexOf(keyword) !== -1)
			arr.push({
				cname: cname,
				sn: sn
			});
	});
	if(arr.length == 0) return;
	
	for (var i = 0; i < arr.length;i++){
		str += [
			'<div class="device-list-search-item" onclick=choose_this("', arr[i].cname, '") style="cursor:pointer">',
				(arr[i].sn != "" ? '<span class="layui-word-aux">[' + arr[i].sn + ']</span>' : ''),
				'<a href="javascript:void(0);">', arr[i].cname , '</a>',
			'</div>'
		].join('');		
	}

	$("#search_list").html(str);	
}


function choose_this(devname)
{
	
	$("[name='device']").each(function(){
		var cname = $(this).attr("cname");
		if(cname == devname) 
			$(this).attr("checked",true);
	});
		
}


function choose_all(id)
{
	//var ids;
	$("[name='dev_father']").each(function(){
		if($(this).attr('id') == id){
			if($(this).attr("checked")){
				
				$("[name='device']").each(function(){
					if( $(this).attr('parent') == id )
						$(this).attr('checked',true);
				});
				
				$("[name='dev_father']").each(function(){
					if($(this).attr('parent') == id){
						$(this).attr('checked',true);
						choose_all($(this).attr('id'));
						/*$("[name='device']").each(function(){
							if($(this).attr('parent') == ids)
								$(this).attr('checked',true);	
						});*/
					}
				})
					
			}
			else{
				$("[name='device']").each(function(){
					if( $(this).attr('parent') == id )
						$(this).attr('checked',false);
				});
				
				$("[name='dev_father']").each(function(){
					if($(this).attr('parent') == id){
						$(this).attr('checked',false);
						choose_all($(this).attr('id'));
						/*$("[name='device']").each(function(){
							if($(this).attr('parent') == ids)
								$(this).attr('checked',false);	
						});*/	
					}
				})
				
				
				
			}	
			
		}
       	
	})
}


var devicetrees;
function appenddevicetree(json)
{
	var data;
	var devid;
	var s, s2;

	devicetrees = new dTree('devicetrees');

	s = '所有设备 ';
	devicetrees.add(0, -1, s);

	for (var i = 0; i < json.rows.length; i++){
		r = json.rows[i];

		if (r.type == 0) {
			name = '<input  onclick="choose_all('+r.id+')" type="checkbox" value="'+r.devid+'" name="dev_father"  id="'+r.id+'" parent="'+r.parent+'">'+r.devname;
			//devicetrees.add(r.id, r.parent, name);
		}
		else if(r.type == 1){
			name = '<input type="checkbox" value="'+r.devid+'" name="device" cname="'+r.devname+'"  parent="'+r.parent+'" sn="'+r.sn+'">';
			if(r.sn != "")
				name += '<span class="layui-word-aux">['+r.sn+']</span>';
			else
				name += ' ';
			name += r.devname;
			//devicetrees.add(r.id, r.parent, r.devname);
		}
		devicetrees.add(r.id, r.parent, name);
		
	}

	var tree = devicetrees.toString();

	$(".devicetree").html("");
	$(".devicetree").html(tree);
	json.rows.length = 0;
}

function devselect(devid)
{
	$("[name='device']").each(function(){
		if ($(this).val() == devid)
			$(this).attr("checked", true);
	});
}

function showdevicetree()
{
	$.ajax({
		url:'../Maintain/devicetree.php',
		data:{type:"devicetreelist"},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				return;
			if (json.rows.length != 0)
				appenddevicetree(json);
		}
	});
}

function show_totalpage(totalrecord, page)
{
	$("#show_totalpage").text('共' + Math.ceil(totalrecord / page) + '页');
}

function set_content_height(render)
{
	var check_form_h = 35;
       	var pagebar_h = 26;
       	var spacing_h = 15;
       	var content_h = $(window).height() - $(".check-form").height() - check_form_h - pagebar_h - spacing_h;
       	$("#"+render).height(content_h);
}

function set_content_css(render, nav_w, pagebar_w)
{
	var w = $(window).width() - 22;
	var chk_h = $(".check-form").height();

	pagebar_w = pagebar_w == 0 ? 20 : 40;

	if (nav_w) 
		nav_w = 40;

       	var h = $(window).height() - chk_h - nav_w - pagebar_w;

	$(render).css("width", w + 'px');
	$(render).css("height", h + 'px');
}

function getcachefile()
{
	return "logeye_cache_" + ((new Date()).getTime() / 1000);
}

function layui_open(title, width, height, contid)
{
	var index = layer.open({
		type: 1,
		title: title,
		//shade: [0.8, '#393D49'],
		//shadeClose:1,
		shade: 0,
		area:[width, height],
		cancel:function(index, layero){
			$("#"+contid).hide();
			layer.close(index);
		},
		content: $("#"+contid)
	});

	return index;
}

function createtree()
{
	var data;
	var devid;

	trees = new dTree('trees');
	trees.add(0, -1, '选择协议');

	$.ajax({
		url:'../user_behavior/tree.php',
		type:'get',
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];
				cname = decodeURIComponent(r.cname);
				trees.add(r.id, r.parent, r.cname, 
					"javascript:appselect("+r.id+", '"+r.name+"', '"+cname+"')");
			}

			trees.add(1500, 1044, "自定义协议组", "");
			for (var i = 0; i < data.cusgrp.length; i++) {
				r = data.cusgrp[i];
				cname = decodeURIComponent(r.cname);
				trees.add(r.id, r.parent, r.cname, 
						"javascript:appselect("+r.id+", '"+r.name+"', '"+cname+"')");
			}

			var tree = trees.toString();
			$("#treelist").html(tree);
			data.result.length = 0;
		}
	})
}

function showaccountinfo(account)
{
	var s = '<div style="padding:20px;">';
	s += '<table style="width:100%;border-collapse:collapse" border=1 bordercolor="#ddd;">';
	s += '<tr><td width="150px" style="background:#f5f5f5;padding-left:10px;">账号</td><td id="ai-account" style="padding-left:10px;">'+account+'</td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">姓名</td><td id="ai-name" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">性别</td><td id="ai-sex" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">民族</td><td id="ai-nation" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">生日</td><td id="ai-birthday" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">地址</td><td id="ai-address" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">现住地址</td><td id="ai-presentaddress" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">证件类型</td><td id="ai-certtype" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">证件号</td><td id="ai-certnum" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">签发机关</td><td id="ai-department" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">到期时间</td><td id="ai-validdate" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">微信号</td><td id="ai-weixin" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">QQ</td><td id="ai-qq" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">邮箱</td><td id="ai-email" style="padding-left:10px;"></td></tr>';
	s += '<tr><td style="background:#f5f5f5;padding-left:10px;">电话</td><td id="ai-phone" style="padding-left:10px;"></td></tr>';
	s += '</table>';
	s += '</div>';

	$.ajax({
		url:'../user_behavior/user_handle_ex.php',
		data:{type:"lf_users", account:account},
		type:'post',
		dataType:'json',
		success:function(json) {

			layui.use(['layer', 'form'], function(){
				layer = layui.layer, form = layui.form;
			
				if (json.totalrecords == 0) {
					layer.msg("没有找到此账号的信息。");
					return false;
				}

				layer.open({
					type: 1,
					title: account,
					shadeClose:1,
					area:['500px', '550px'],
					content: s,
					success:function(){
						r = json.rows[0];
						$("#ai-name").text(r.name);
						$("#ai-sex").text(r.certsex);
						$("#ai-nation").text(r.nation);
						$("#ai-birthday").text(r.birthday);
						$("#ai-address").text(r.address);
						$("#ai-presentaddress").text(r.presentaddress);
						$("#ai-certtype").text(r.certtype);
						$("#ai-certnum").text(r.certnum);
						$("#ai-department").text(r.department);
						$("#ai-validdate").text(r.validdate);
						$("#ai-weixin").text(r.weixin);
						$("#ai-qq").text(r.qq);
						$("#ai-email").text(r.email);
						$("#ai-phone").text(r.phone);
					}
				})
			})
		}
	});

}

function cutstring(str, len)
{
	if(str.length * 2 <= len)
	       	return str;

       	var strlen = 0;
       	var s = "";
       	for(var i = 0;i < str.length; i++) {
	       	s = s + str.charAt(i);
	       	if (str.charCodeAt(i) > 128) {
		       	strlen = strlen + 2;
		       	if(strlen >= len){
			       	return s.substring(0,s.length-1) + "...";
		       	}
	       	}
		else {
		       	strlen = strlen + 1;
		       	if(strlen >= len){
			       	return s.substring(0,s.length-2) + "...";
		       	}
	       	}
       	}

       	return s;
}

function geteventnum(tips, event_tag, render)
{
	// event_type = qqnum, wxid
	$.ajax({
		url: 'ajax_eventcount.php',
		data: {action:event_tag}
		,type: 'post'
		,dataType:'json'
		,success: function(json) {
			shownumchart(render, json.total, json.count);
			layui.use(['layer'], function(){
				var layer = layui.layer;
				if (tips != "") {
					$("#"+render).hover(function(){
						layer.tips(tips, '#'+render, {
							tips: [1, 'rgb(219, 6, 6)'],
							time: 4000
						});
					});
				}
		       	})
		}
	});
}

function shownumchart(render, total, curr)
{
	var dom = document.getElementById(render);
	var mychart = echarts.init(dom, 'macarons');

	var per = (curr / total).toFixed(2);
	var option = {
		backgroundColor:'',
		title: {
			text: '',
			textStyle: {
				fontWeight: 'normal',
				fontSize: 12,
				color: 'rgb(97, 142, 205)'
			}
		},
		series: [{
			type: 'liquidFill',
			radius: '70%',
			center: ['50%', '50%'],
			data: [per, per, per], // data个数代表波浪数
			color:['#fff'],
			backgroundStyle: {
				borderWidth: 1,
				color: 'rgb(219,6,6,1)'
			},
			label: {
				normal: {
					formatter: curr+'',
					textStyle: {
						fontSize: 16,
						color:'#fff'
					}
				}
			},
			outline: {
				show: false,
			}
		}]
	}

	mychart.setOption(option, true);
}

var _logtask = {
	wait:0,
	background:1,
	result:2,
	start:function(layer){
		layer.msg("开始最小化查询，可通过查看\"后台任务\"查看任务进度!");
	},
	setcookie:function(tag, name, val) {
		setCookie(tag + "_"+name, val);
	},
	delcookie:function(tag, task_file) {
		var errname = getCookie(tag + "_task_errname");
		var taskfile = getCookie(tag + "_task_file");
		var a1 = [], b1 = [], c1 = [], d1 = [];
		if (errname) {
			if (errname.indexOf(',') != -1) {
				a1 = errname.split(',');
				b1 = taskfile.split(',');	
			}
			else {
				a1.push(errname);
				b1.push(taskfile);
			}

			for (var i = 0; i < a1.length; i++) {
				if (b1[i] == task_file) {
					b1[i] = "";
					a1[i] = "";
					continue;
				}
				c1.push(a1[i]);
				d1.push(b1[i]);
			}

			// delete old cookie
			delCookie(tag+"_task_errname");
			delCookie(tag+"_task_file");

			// set new cookie
			if (c1.length > 0) {
				_logtask.setcookie(tag, "task_errname", c1.join(','));
				_logtask.setcookie(tag, "task_file", d1.join(','));
			}
		}
	},
	getnum:function(tag) {
		var ck, num = 0, ckname = tag + "_task_errname";
		if ((ck = getCookie(ckname)) != null) {
			console.log(ck);
			num = 1;
			if (ck.indexOf(',') != -1) {
				num = ck.split(',').length;
			}
		}
		$(".task-num").text(num);
		return num;
	},
	main:'',
	deltask:function(tag, obj){
		// delete palog.nodequery and /usr/logdata/tmp/background.....
		// delete cookie later
		$.ajax({
			url: '../ajax_task.php'
			,data:{action:'deltask', task_file:obj.data.task_file}
			,type:'post'
			,dataType:'json'
			,success:function(json) {
				if (json.yn == "yes") {
					// delete cookie
					_logtask.delcookie(tag, obj.data.task_file);
					obj.del();
					_logtask.getnum(tag);
				}
			}
		});
	},
	showresult:function(task_file){
		_logtask.main(_logtask.result, task_file);
	},
	colrender:function(d) {
		switch(this.field) {
		case "act":
			var html = '<span lay-event="tabevt_showresult">查看结果</span>';
			html += '&nbsp;';
			html += '<span lay-event="tabevt_delete">删除</span>';
			return html;

		case "status":
			return d.status == "2" ? "<icon class='layui-icon layui-icon-ok-circle'></icon>" : "<icon class='layui-icon layui-icon-loading'></icon>";
		}
	},
	gettask:function(tag, table){
		var task_errname = getCookie(tag + "_task_errname");
		var task_file = getCookie(tag + "_task_file");

		table.render({
			elem: '#tasktbl',
			url: '../ajax_task.php',
			where:{action:'gettask', task_errname:task_errname, task_file:task_file},
			method:'post',
			page:true,
			cols:[[
				{field:'pid', title:'任务编号', fixed:'center'}
				,{field:'status', title:'状态', fixed:'center', templet:_logtask.colrender}
				,{field:'ip', title:'设备IP', fixed:'left'}
				,{field:'uuid', title:'UUID', fixed:'left'}
				,{field:'recnum', title:'记录数', fixed:'right'}
				,{field:'task_file', hide:true}
				,{field:'act', width:150,title:'操作', templet:_logtask.colrender}
			]]
		});

		table.on('tool(tasktbl)', function(obj){
			var ev = obj.event;
			switch(ev) {
			case "tabevt_showresult":
				_logtask.showresult(obj.data.task_file);
				layer.close(_logtask.winindex);
				break;

			case "tabevt_delete":
				_logtask.deltask(tag, obj);
				break;
			}
		});
	},
	winindex:'',
	open:function(layer, table, tag) {
		// 左侧遮罩
		if (parent.window.parent.window.frames.length > 1) {
			if (typeof(eval("parent.window.parent.window.frames[1].loadshow")) == "function")
				parent.window.parent.window.frames[1].loadshow();
		}

		var c = '<blockquote class="layui-elem-quote">相同编号的任务为同一个任务，当同一个编号的任务都完成时才可以查看结果。</blockquote>';
		c += '<table id="tasktbl" lay-filter="tasktbl"></table>';
		var index = layer.open({
			type: 1,
			title: '任务管理',
			shade: [0.8, '#393D49'],
			shadeClose:1,
			area:['650px', '430px'],
			content: c,
			cancel:function(index, layero){
				layer.close(index);
			},
			end:function() {
				if (parent.window.parent.window.frames.length > 1) {
					if (typeof(eval("parent.window.parent.window.frames[1].loadshow")) == "function")
						parent.window.parent.window.frames[1].loadhide();
				}
			},
			success:function(layero, index) {
				_logtask.gettask(tag, table);
				_logtask.winindex = index;
		       	}
		})
	}
};

function showlogstatus(action)
{
	$.ajax({
		url:'../ajax_logstatus.php'
		,data:{action:action}
		,type:'post'
		,dataType:'json'
		,success:function(json) {
			var s = '<span class="layui-badge logvalid">正常日志数'+json.validmatch+'</span>';
			s += '&nbsp;&nbsp;';
			s += '<span class="layui-badge loginvalid">非正常日志数'+json.invalidmatch+'</span>';
			$("#logstatus").html(s);

			$(".logvalid").mouseover(function(){
				var that = this;
				layer.tips("正常接收到的并且正确解析计数", that, {
					tips: [3, 'rgb(219, 6, 6)'],
					time: 3000
				});
			});
			$(".loginvalid").mouseover(function(){
				var that = this;
				layer.tips("正常接收到的但是未正确解析计数", that, {
					tips: [3, 'rgb(219, 6, 6)'],
					time: 3000
				});
			});
		}
	})
}

function log_notice()
{
	parent.window.frames[2].show_notice();
	// parent.window.parent.window.frames[0].loadshow();
}

function show_notice()
{
	_logstat_max = 0;
	if ($(".notice-outer").length > 0)
		$(".notice-outer").remove();

	var s = '<div class="notice-outer">';
	s += '<div class="notice-left">';
	s += '<fieldset class="layui-elem-field layui-field-title"><legend>告警设置</legend></fieldset>';
	s += '<blockquote class="layui-elem-quote layui-quote-nm">';
	s += '1、此处可设置有安装运维助手APP的设备地址和检测频率。';
	s += '<br/>2、异常信息会发送到运维助手APP。';
	s += '<br/>3、检查间隔为0时不再检查。';
	s += '</blockquote>';
	s += '<div class="layui-form" style="padding:20px;">';

	s += '<div class="layui-form-item">';
	s += '<label class="layui-form-label">服务器地址</label>';
	s += '<div class="layui-input-inline">';
	s += '<input type="text" id="alarm_server" required lay-verify="required" placeholder="请输入接收服务器地址" autocomplete="off" class="layui-input">';
	s += '</div>';
	s += '</div>';
	s += '<div class="layui-form-item">';
	s += '<label class="layui-form-label">检查间隔</label>';
	s += '<div class="layui-input-inline">';
	s += '<input type="text" id="alarm_interval" value="60" required lay-verify="required" placeholder="请输入检查间隔时间" autocomplete="off" class="layui-input">';
	s += '</div>';
	s += '<div class="layui-form-mid layui-word-aux">秒</div>';
	s += '</div>';
	s += '<div class="layui-form-item">';
	s += '<label class="layui-form-label"></label>';
	s += '<div class="layui-input-inline">';
	s += '<button class="layui-btn layui-btn-normal layui-btn-xs" id="logstat-btn-set">设置</button>';
	s += '<button class="layui-btn layui-btn-danger layui-btn-xs" id="logstat-btn-cancel">关闭</button>';
	s += '</div>';
	s += '</div>';

	s += '</div>';
	s += '</div>';
	s += '<div class="notice-right">';
	s += '<fieldset class="layui-elem-field layui-field-title"><legend>状态显示</legend></fieldset>';
	s += '<div style="padding-left:20px;">';
	s += '<ul id="logstat-statuslist" style="display:inline-block">';
	s += '</ul>';
	s += '<div class="clearboth"></div>';
	s += '<div style="padding:10px 10px 10px 0;color:#888;"></div>';
	s += '<div style="float:left;color:#888;">';
	s += '<icon class="layui-icon layui-icon-help"></icon>';
	s += '<a href="../help/Help.pdf" target="_blank">有异常请点击此处查看。</a>';
	s += '&nbsp;&nbsp;<a class="layui-btn layui-btn-normal layui-btn-xs" id="logstatreset">重置状态</a>';
	s += '</div>';
	s += '<div style="float:right;color:#888;" id="logstat-checktime"></div>';
	s += '<div class="clearboth"></div>';
	s += '</div>';
	s += '</div>';
	s += '</div>';
	s += '</div>';
	$(s).appendTo("body");

	$(".notice-outer").slideDown();

	logstat_getconfig();
	logstat_showstatus();

	$("#logstat-btn-set").click(function(){
		logstat_setconfig();
	});

	$("#logstat-btn-cancel").click(function(){
		$(".notice-outer").slideUp();
		_logstat_max = 0;
	});

	$("#logstatreset").click(function(){
		$.ajax({
			url: '../ajax_alarm.php',
			data:{action:'logstat_reset'},
			type: 'post',
			success:function(json) {
				alert("操作成功");

				_logstat_retjson = "";
				_logstat_max = 0;
				logstat_showstatus();
			}
		})
	});
}

function logstat_display()
{
	setTimeout(function(){
		if (_logstat_retjson[_logstat_max]) {
			var s = '<li style="float:left;width:200px;padding:15px 0">';
			s += '<span style="font-size:16px;font-style:italic;">'+(_logstat_max+1)+'</span>';
			s += '&nbsp;&nbsp;' + _logstat_retjson[_logstat_max].name;
			if (_logstat_retjson[_logstat_max].stat)
				s += '&nbsp;&nbsp;<img src="../img/10.png" width="20px" />';
			else
				s += '&nbsp;&nbsp;<img src="../img/12.png" width="20px" />';
			s += '</li>';
			$(s).appendTo("#logstat-statuslist");

			_logstat_max++;

			logstat_display();
		}
	}, 100);
}

var _logstat_retjson;
var _logstat_max = 0;
function logstat_showstatus()
{
	$.ajax({
		url: '../ajax_alarm.php',
		data:{action:'showstatus'},
		type: 'post',
		dataType:'json',
		success:function(json) {
			_logstat_retjson = json;
			$("#logstat-statuslist").html("");
			logstat_display();
		}
	});
}

function logstat_getconfig()
{
	$.ajax({
		url: '../ajax_alarm.php',
		data:{action:'getconfig'},
		type: 'post',
		dataType:'json',
		success:function(json) {
			if (json.server)
				$("#alarm_server").val(json.server);
			if (json.interval)
				$("#alarm_interval").val(json.interval);
			if (json.checktime)
				$("#logstat-checktime").html('最近检测时间：'+unixtimetodate(json.checktime));
		}
	});
}

function logstat_setconfig()
{
	var server = TrimAll($("#alarm_server").val());
	var interval = TrimAll($("#alarm_interval").val());

	if (server == "" || !IsIPAddr(server)) {
		alert("请输入正确的IP地址。");
		return false;
	}
	if (isNaN(interval)) {
		alert("请输入正确的间隔时间。");
		return false;
	}

	$.ajax({
		url: '../ajax_alarm.php',
		data:{action:'setconfig', server:server, interval:interval},
		type: 'post',
		success:function(json) {
			alert("设置成功");
		}
	});
}

function show_accgroup(render, userid)
{
	$.ajax({
		url: '../account/ajax_account_group.php',
		data:{action:'group_list', userid:userid},
		type: 'post',
		dataType:'json',
		success:function(json) {
			$("#"+render).html("");
			var s = '';
			for (var i = 0; i < json.rows.length; i++) {
				var chk = "";
				for (var j = 0; j < json.uacc.length; j++) {
					if (json.uacc[j] == json.rows[i].id) {
						chk = "checked";
						break;
					}
				}
				s += '<input type="checkbox" value="'+json.rows[i].id+'" name="accgrpid" '+chk+' />';
				s += '&nbsp;';
				s += json.rows[i].name;
				s += '&nbsp;';
			}
			$("#"+render).html(s);
		}
	});
}

function is_mac(str)
{
	var temp = /[A-Fa-f0-9]{2}-[A-Fa-f0-9]{2}-[A-Fa-f0-9]{2}-[A-Fa-f0-9]{2}-[A-Fa-f0-9]{2}-[A-Fa-f0-9]{2}/;
	if (!temp.test(str))
		return false;

	return true;
}

var _query_action = {
	list:0,
	excel:1,
	txt:2,
	csv:3
};

var config = {
    zindex:1000,
    curtab:'up',
    iptrendtab:'bpsup',
    trendiv:0,
    loadingstr: "<div style='margin:0 auto;padding-top:100px;'><img src='../img/upload.gif' /></div>",
    my_colors_def: ["#068BC5","#4EB133","#E6561C","#E6EB01","#24C8E3",
	    "#62E172","#F7EE64","#69F5C3","#ACDBFD","#C6C9CA", 
	    "#F68F67","#CDE577","#710000","#5D584B","#4572A7"]
}
