function dns_submit(appid, starttime, endtime, render, imgrender, devid)
{
	var dns = "";
	var page = 1;
	var limit = 25;
	var sorts = 'acc';
	var bexport = 0;
	var errname = (new Date()).getTime()+'.st';

	$.ajax({
		url:'ajax_report.php',
		data:{action:'topdns', dns:dns, page: page, 
			limit: limit, starttime:starttime, bexport: bexport,
			endtime:endtime, errname:errname, sort: sorts, 
			devid: devid},
		type:'post',
		async:true,
		success:function(data){
			var s = '<input type="text" id="dnsjson" value="'+encodeURIComponent(data)+'">';
			$(s).appendTo("#dnsjson_outer");
			var json = eval('('+data+')');
			dnsyys_graph(json, "dnsyys_pie", "dnsyys_pieimg");
			dns_map(json, "dnsmap", "dnsmap_img");
		}
	});
}

function dnsyys_graph(json, render, imgrender)
{
	var dom = document.getElementById(render);
	var mychart = echarts.init(dom, 'macarons');

	var data = [];
	for (var i = 0; i < json.yys.length; i++)
		data.push({name:json.yys[i].x, value:json.yys[i].y});

	var option = {
		backgroundColor: '#fff',
		animation:false,
		series: [{
			type: 'pie',
			name: '流量',
			radius: ['50%', '60%'],
			center:['50%', '50%'],
			data: data
		}]
	}
	mychart.setOption(option);
	//setTimeout(function(){
		var imgurl = mychart.getDataURL();
		$("#"+imgrender).attr("src", (imgurl));
	//}, 30000);
}

function dns_map(json, render, imgrender)
{
	var data = [];
	var geoCoordMap = {};
	var maxvalue = 0;
	for (i = 0; i < json.area.length; i++) {
		if (json.area[i].value > maxvalue)
			maxvalue = json.area[i].value;
		data.push({name:json.area[i].name, value:json.area[i].value});
	}

	var mapFeatures = echarts.getMap("china").geoJson.features;
	mapFeatures.forEach(function(v) {
		var name = v.properties.name;
		geoCoordMap[name] = v.properties.cp;
	});
	
	var convertData = function(data) {
		var res = [];
		for (var i = 0; i < data.length; i++) {
			var geoCoord = geoCoordMap[data[i].name];
			if (geoCoord) {
				res.push({ name: data[i].name, value: geoCoord.concat(data[i].value)});
			}
		}
		return res;
	};

	var mychart = echarts.init(document.getElementById(render));
	var option = {
		title : {
			text: '区域流量数据分布图',
			x:'center',
			y: 5,
			textStyle: {
			fontSize: 10,
			fontWeight: 'bold',
			color: '#666'
			}
		},
		tooltip : {
			trigger: 'item',
			textStyle: {
				fontSize: 10,
				fontWeight: 'normal'
			},
			formatter: function(params, ticket, callback){
				return params.name+'：'+numberformats(params.value);
			}
		},
		dataRange: {
			//orient: 'right',
			min: 0,
			max: maxvalue,
			x: 'right',
			y: 'bottom',
			text:['高','低'],           // 文本，默认为数值文本
			calculable : true,
			color: ['#f00', '#CC6666', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		geo: {
			show: true,
			map: "china",
			label: {
				normal: {
					show: false
				},
				emphasis: {
					show: false,
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#031525',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3',
				}
			},
		},
		animation:false,
		series: [{
			name: '区域流量数据分布图',
			type: 'scatter',
			coordinateSystem: 'geo',
			label: {
				normal: {
					formatter: '{b}',
					position: 'right',
					show: false,
					fontWeight:"bold"
				},
				emphasis: {
					show: true
				}
			},
			itemStyle: {
				normal: {
					//show: false,
					//color: '#2e8ae3',
				}
			}
		},
		{
			type: 'map',
			map: "china",
			geoIndex: 1,
			aspectScale: 0.75,
			showLegendSymbol: false,
			label: {
				normal: {
					show: false 
				},
				emphasis: {
					show: false,
					textStyle: {
						color: '#fff'
					}
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#87CEFA',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3'
				}
			},
			animation: false,
			data: data 
		}]
	}
	mychart.setOption(option);
	setTimeout(function(){
		var imgurl = mychart.getDataURL();
		$("#"+imgrender).attr("src", (imgurl));
	}, 5000);
}
