// 流量趋势图
function group_trend_main(starttime, endtime, devid)
{
	var linkid = -1;
	var appid = -1;
	var cname = "所有协议";
	var errname = (new Date()).getTime()+'.st';

	var url = 'ajax_report.php';
	var data = {action:"group_trend", devid:devid, linkid:linkid, tmstart:starttime, tmend:endtime, appid: appid, errname:errname};
	$.ajax({
		url:url,
		data:data,
		type:'post',
		dataType:'json',
		async:true,
		success:function(json){
			group_trend_graph("group_trend_bpsflow", "group_trend_flowimg", json);
			group_trend_graph("group_trend_bpsup", "group_trend_upimg", json);
			group_trend_graph("group_trend_bpsdown", "group_trend_downimg", json);
		}
	});
}

function group_trend_graph(render, imgrender, json)
{
	var dom = document.getElementById(render);
	var data;
	var mychart = echarts.init(dom, 'macarons');

	var title = "";
	switch(render) {
	case "group_trend_bpsup":
		title = "上行速率趋势图/bps";
		tag = '上行速率';
		data = json.up;
		break;
	case "group_trend_bpsdown":
		title = "下行速率趋势图/bps";
		tag = '下行速率';
		data = json.down;
		break;
	case "group_trend_bpsflow":
		title = "连接数趋势图";
		tag = '连接数';
		data = json.flowcont;
		break;
	}

	var option = {
		backgroundColor:'#ffffff',
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '0%'];
			},
			textStyle: {
				fontSize: 10
			},
			formatter: function(params, ticket, callback) {
				var name = h = "";
				var total = 0;
				for (i = 0; i < params.length; i++) {
					if (name == "") {
						name = params[i].name;
						h += name;
					}
					total += params[i].value;
					h += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				h += '<br/>总：'+ numberformats(total);
				return h;
			}
		},
		title: {
			text: title,
			left: '1%',
			top:10,
			textStyle: {
				fontSize: 10,
				color: '#666666'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: true 
			},
			axisLabel: {
				textStyle: {
					fontSize: '8'
				}
			},
			data: json.xdate
		},
		grid: {
			x: '50',
			y: '70',
			x2:'10',
			y2:'50'
		},
		legend: {
			show: true,
			right: '0',
			top:30,
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#000'
			},
		},
		yAxis: {
			type: 'value',
			name: null,
			//nameLocation: 'end',
			splitLine: {
				show: true
			},
			axisTick:{
				interval:6
			},
			axisLabel: {
				textStyle: {
					fontSize: '8'
				},
				formatter: function(value, index) { return (render != "group_trend_bspflow") ? numberformats(value) : value; }
			}
		},
		animation:false,
		series: [] 
	};

	var item;
	for (i = 0; i < data.length; i++) {
		item = {name: data[i].name, symbol: "none", type: 'line', stack: '总量', data: data[i].data};
		option.series.push(item);
	}

	mychart.setOption(option);
	//setTimeout(function(){
		var imgurl = mychart.getDataURL();
		$("#"+imgrender).attr("src", (imgurl));
	//}, 5000);
}
