
function npm_topapp(starttime, endtime, devid)
{
	var appid = -1;
	var errname = (new Date()).getTime()+'.st';

	$.ajax({
		url:'ajax_report.php',
		type: 'post',
		async:true,
		data:{action: 'npm_topapp', starttime:starttime, endtime:endtime, errname:errname, appid:appid, devid: devid, eventtype: 'app'},
		success:function(data) {
			var s = '<input type="text" id="npm_apptrend_json" value="'+encodeURIComponent(data)+'">';
			$(s).appendTo("#npm_topapp_outer");

			var json = eval('('+data+')');
			createtrend(json.date, json.yclnt, "npm_apptrend_clnt", "npm_apptrend_clntimg");
			createtrend(json.date, json.ysvr, "npm_apptrend_svr", "npm_apptrend_svrimg");
			createtrend(json.date, json.yapp, "npm_apptrend_app", "npm_apptrend_appimg");
		}
	});
}

function createtrend(xdate, data, render, imgrender)
{
	var dom = document.getElementById(render);
	var mychart = echarts.init(dom, "macarons");

	switch(render) {
	case "npm_apptrend_clnt":
		title = "客户端时延/ms";
		break;
	case "npm_apptrend_svr":
		title = "服务时延/ms";
		break;
	case "npm_apptrend_app":
		title = "应用时延/ms";
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 14;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			}
		},
		title: {
			left: '1%',
			text: title,
			top:20,
			textStyle: {
				fontFamily: fontfamily,
				fontSize: fontsize
			}
		},
		xAxis: {
			type: 'category',
			data: xdate,
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		grid: {
			left: '8%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		animation:false,
		series: [{
				name:'平均时延',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				areaStyle: {
				},
				data: data
			}
		]
	};
	mychart.setOption(option);
	var imgurl = mychart.getDataURL();
	$("#"+imgrender).attr("src", (imgurl));
}

