// top ip
function topiplist(starttime, endtime, sort, render, imgrender, ipjsonrender, devid)
{
	var ipaddr = "", show_ipnum=0,
		page=1, limit=25, grpid = '', 
		arr = [], iptype = "ipcustom";

	var errname = (new Date()).getTime()+'.st';
	
	$.ajax({
		url:"ajax_report.php",
		async:true,
		data:{action:'topip', devid:devid, iptype: iptype, 
			ipaddr:ipaddr, grpid: grpid, show_ipnum: show_ipnum,
			tmstart:starttime, tmend:endtime, bexport: 0,
			page:page, limit:limit, sort:sort, errname:errname},
		type:"post",
		dataType:"json",
		success:function(json){
			topip_graph(json, render, imgrender, starttime, endtime, ipjsonrender, sort, devid);
		}
	});
}

function topiplist_flow(starttime, endtime, sort, render, imgrender, ipjsonrender, devid)
{
	var ipaddr = "", show_ipnum=0,
		page=1, limit=25, grpid = '', 
		arr = [], iptype = "ipcustom";

	var errname = (new Date()).getTime()+'.st';
	
	$.ajax({
		url:"ajax_report.php",
		async:true,
		data:{action:'topipflow', devid:devid, iptype: iptype, 
			ipaddr:ipaddr, grpid: grpid, show_ipnum: show_ipnum,
			tmstart:starttime, tmend:endtime, bexport: 0,
			page:page, limit:limit, sort:sort, errname:errname},
		type:"post",
		dataType:"json",
		success:function(json){
			topip_graph(json, render, imgrender, starttime, endtime, ipjsonrender, sort, devid);
		}
	});
}

function getapp(json, starttime, endtime, ipjsonrender, sort, devid)
{
	var iplist5 = '';
	for (var i = 0; i < json.detail.length; i++) {
		if (i < 5) {
			if (sort != "flowcnt")
				iptoapp(json.detail[i].ip, sort, starttime, endtime, "iptoapp_json_bytes", ipjsonrender, devid, i);
			else
				iptoapp_flow(json.detail[i].ip, sort, starttime, endtime, "iptoapp_json_flow", ipjsonrender, devid, i);
			iplist5 += json.detail[i].ip + (i < 4 ? ',' : '');
			continue;
		}
		break;
	}
	if (sort == "flowcnt")
		$("#iplist5_flow").val(iplist5);
	else
		$("#iplist5").val(iplist5);

}

function topip_graph(json, render, imgrender, starttime, endtime, ipjsonrender, sort, devid)
{
	var maxflow = 0;
	for (var i = 0; i < json.detail.length; i++) {
		if (json.detail[i].flowcnt > maxflow)
			maxflow = json.detail[i].flowcnt;
	}

	var yup = [], ydown = [], yflow = [], x = [];
	var len = json.detail.length;
	for (var i = 0; i < len; i++) {
		x.push(json.detail[i].ip);
		yup.push({value: json.detail[i].up});
		ydown.push({value: json.detail[i].down});
		yflow.push({value: json.detail[i].flowcnt});
	}

	var dom = document.getElementById(render);
	var mychart = echarts.init(dom, 'macarons');

	var option = {
		backgroundColor:'#ffffff',
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#666666",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#666666'
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:50,
			bottom: 50,
			textStyle: {
				color: "#666666",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#666666',
				textStyle: {
					fontSize: 8,
					color: '#666666'
				}
			},
			data: x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				color: '#666666',
				textStyle: {
					color: "#666666",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}, {
            		type: 'value',
            		scale: true,
            		boundaryGap: [0.2, 0.2],
			min: 0,
			max: maxflow,
			splitLine: {
				show: false,
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
			axisLabel: {
				interval: 0,
				color: '#666666',
				textStyle: {
					color: "#666666",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			position: 'right',
        	}],
		animation:false,
		series: [
		{
			name: "连接数",
			type: "line",
			stack: "总量",
			symbol: 'none',
			symbolSize:10,
			yAxisIndex: 1,
			smooth: true,
			itemStyle: {
				normal: {
					//color: 'rgb(155, 127, 14)',
					label: {
						show: false,
						textStyle: {
							color: "#666666"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yflow,
		},
		{
			name: "上行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
							color: "#666666"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yup,
		},
		{
			name: "下行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					//color: "rgba(0,191,183,1)",
					label: {
						show: false,
						textStyle: {
							color: "#666666"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ydown,
		}]
	}

	mychart.setOption(option);
	//setTimeout(function(){
		var imgurl = mychart.getDataURL();
		$("#"+imgrender).attr("src", (imgurl));
		getapp(json, starttime, endtime, ipjsonrender, sort, devid);
	//}, 5000);
}

