"use strict";

var page = require('webpage').create();
var system = require('system');
var fs = require('fs');
var port = system.args[1];
var wordname = system.args[2];
var url = "https://localhost:"+port+"/report.php";
var outputfile = "/usr/logdata/tmp/report/"+wordname+".html";
page.open(url, function(status){
	if (status != "success") {
		console.log("ERROR: '"+url+"' open failed\n");
		phantom.exit(0);
	}

	var autoconf = page.evaluate(function(){return _autoconf});
	var rp = eval('('+autoconf+')');
	
	// html header
	var html = '<html xmlns="http://www.w3.org/1999/xhtml">';
	html += '<head>';
	html += '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
	html += '<script type="text/javascript" src="js/jquery.min.js"></script>';
	html += '<script type="text/javascript" src="js/FileSave.js"></script>';
	html += '<script type="text/javascript" src="js/jquery.wordexport.js"></script>';
	html += '</head>';
	html += '<body>';
	html += '<div id="export-word" style="background:#c00f0f;text-align:center;color:#fff;cursor:pointer;">点击此处导出word文档</div>';
	html += '<input type="hidden" value="'+rp.wordname+'" id="wordname" />';
	html += '<div class="main-report">';
	html += '<br/>';
	html += '<div><center> <h1 id="main-logo"><img src="img/logo.png"/><h1> </center></div>';
	html += '<div style="margin-top:200px;"></div>';
	html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>';
	html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>';
	html += '<br/>'; html += '<br/>';
	html += '<div><center><h1 id="main-title" style="font-family:微软雅黑">'+rp.title+'<h1> </center></div>';
	html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>';
	html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>';
	html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>';
	html += '<div style="font-family:微软雅黑"><center>'+rp.smalltitle+'</center></div>';
	html += '<br/>'; html += '<br/>'; html += '<br/>'; html += '<br/>';
	html += '<br/>'; html += '<br/>';

		for (var i = 0; i < rp.module.length; i++) {
			html += '<!-- part'+(i+1)+' -->';
			html += '<div class="part-main-title"><h1 style="font-family:微软雅黑">'+(i+1)+'.'+rp.module[i].name+'</h1></div>';
			if (rp.module[i].desc != "") {
				html += '<div class="part-content">';
				html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].desc+'</pre>';
				html += '</div>';
			}
			for (var j = 0; j < rp.module[i].mlist.length; j++) {
				if (rp.module[i].mlist[j].checked == "checked") {
					if (rp.module[i].mlist[j].name != "")
						html += '<div class="part-title"><h2 style="font-family:微软雅黑">'+
							(rp.module[i].id)+'.'+(rp.module[i].mlist[j].id)+'.'+rp.module[i].mlist[j].name+'</h2></div>';
					switch(rp.module[i].mlist[j].module_name) {
						case "dns_topserver":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#dns_topserverdata").length <= 0) return "";
								if ($("#dns_topserverdata").val() == "") return "";
								var val = decodeURIComponent($("#dns_topserverdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">用户地址</th>';
								str += '<th align="left">访问次数</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.dnsip+'</td>';
									str += '<td>'+r.dnscount+'</td>';
									str += '<td>'+numberformats(r.upbytes)+'</td>';
									str += '<td>'+numberformats(r.downbytes)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "unknow_port":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function() {
								if ($("#unknow_portdata").length <= 0) return "";
								if ($("#unknow_portdata").val() == "") return "";
								var val = decodeURIComponent($("#unknow_portdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">端口</th>';
								str += '<th align="left">访问次数</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">总流量</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.port+'</td>';
									str += '<td>'+r.num+'</td>';
									str += '<td>'+numberformats(r.upbytes)+'</td>';
									str += '<td>'+numberformats(r.downbytes)+'</td>';
									str += '<td>'+numberformats(r.upbytes + r.downbytes)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "dns_topuser":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#dns_topuserdata").length <= 0) return "";
								if ($("#dns_topuserdata").val() == "") return "";
								var val = decodeURIComponent($("#dns_topuserdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">用户地址</th>';
								str += '<th align="left">访问次数</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.ip+'</td>';
									str += '<td>'+r.dnscount+'</td>';
									str += '<td>'+numberformats(r.upbytes)+'</td>';
									str += '<td>'+numberformats(r.downbytes)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "session":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#sessiondata").length <= 0) return "";
								if ($("#sessiondata").val() == "") return "";
								var val = decodeURIComponent($("#sessiondata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr><th align="left">协议</th>';
								str += '<th align="left">类型</th>';
								str += '<th align="left">访问时间/<br/>连接时间</th>';
								str += '<th align="left">源地址:端口</th>';
								str += '<th align="left">目的地址:端口</th>';
								str += '<th align="left">NAT地址:端口</th>';
								str += '<th align="left">域名</th>';
								str += '<th align="left">上下流量</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr><td>'+r.app_name+'</td>';
									str += '<td>'+r.app_type+'</td>';
									str += '<td>'+r.access_time+'/'+(r.conn_time)+'</td>';
									str += '<td>'+r.source+':'+r.source_port+'</td>';
									str += '<td>'+r.dest+':'+r.dest_port+'</td>';
									str += '<td>'+((r.natip == "") ? "" : (r.natip+':'+r.natport))+'</td>';
									str += '<td>'+(r.host == '$' ? "" : r.host)+'</td>';
									str += '<td>'+r.up+'/'+r.down+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "npm_topuser":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#npm_topuserdata").length <= 0) return "";
								if ($("#npm_topuserdata").val() == "") return "";
								var val = decodeURIComponent($("#npm_topuserdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr><th align="left" rowspan="2">用户IP</th>';
								str += '<th align="left" rowspan="2">连接数</th>';
								str += '<th align="left" colspan=3>最大时延/ms</th>';
								str += '<th align="left" colspan=3>平均时延/ms</th>';
								str += '<th align="left" colspan=2>流量/byte</th>';
								str += '</tr>';
								str += '<tr>';
								str += '<th align="left">客户/ms</th>';
								str += '<th align="left">服务/ms</th>';
								str += '<th align="left">应用/ms</th>';
								str += '<th align="left">客户/ms</th>';
								str += '<th align="left">服务/ms</th>';
								str += '<th align="left">应用/ms</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '</tr>';
								var len = json.rows.length > 25 ? 25 : json.rows.length;
								for (var k = 0; k < len; k++) {
									r = json.rows[k];
									str += '<tr><td>'+(r.ip)+'</td>';
									str += '<td>'+r.count+'</td>';
									str += '<td>'+r.max_clnt+'</td>';
									str += '<td>'+r.max_svr+'</td>';
									str += '<td>'+r.max_app+'</td>';
									str += '<td>'+r.avg_clnt+'</td>';
									str += '<td>'+r.avg_svr+'</td>';
									str += '<td>'+r.avg_app+'</td>';
									str += '<td>'+r.up+'</td>';
									str += '<td>'+r.down+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "npm_tophost":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#npm_tophostdata").length <= 0) return "";
								if ($("#npm_tophostdata").val() == "") return "";
								var val = decodeURIComponent($("#npm_tophostdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr><th align="left" rowspan="2">域名</th>';
								str += '<th align="left" rowspan="2">连接数</th>';
								str += '<th align="left" colspan=3>最大时延/ms</th>';
								str += '<th align="left" colspan=3>平均时延/ms</th>';
								str += '<th align="left" colspan=2>流量/byte</th>';
								str += '</tr>';
								str += '<tr>';
								str += '<th align="left">客户/ms</th>';
								str += '<th align="left">服务/ms</th>';
								str += '<th align="left">应用/ms</th>';
								str += '<th align="left">客户/ms</th>';
								str += '<th align="left">服务/ms</th>';
								str += '<th align="left">应用/ms</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '</tr>';
								var len = json.rows.length > 25 ? 25 : json.rows.length;
								for (var k = 0; k < len; k++) {
									r = json.rows[k];
									str += '<tr><td>'+(r.host)+'</td>';
									str += '<td>'+r.count+'</td>';
									str += '<td>'+r.max_clnt+'</td>';
									str += '<td>'+r.max_svr+'</td>';
									str += '<td>'+r.max_app+'</td>';
									str += '<td>'+r.avg_clnt+'</td>';
									str += '<td>'+r.avg_svr+'</td>';
									str += '<td>'+r.avg_app+'</td>';
									str += '<td>'+r.up+'</td>';
									str += '<td>'+r.down+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "heresy":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#heresydata").length <= 0) return "";
								if ($("#heresydata").val() == "") return "";
								var val = decodeURIComponent($("#heresydata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr><th align="left">访问名称</th>';
								str += '<th align="left">访问域名</th>';
								str += '<th align="left">访问次数</th>';
								str += '</tr>';
								var len = json.rows.length > 25 ? 25 : json.rows.length;
								for (var k = 0; k < len; k++) {
									r = json.rows[k];
									str += '<tr><td>'+(r.name)+'</td>';
									str += '<td>'+r.host+'</td>';
									str += '<td>'+r.cnt+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "win7":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#win7data").length <= 0) return "";
								if ($("#win7data").val() == "") return "";
								var val = decodeURIComponent($("#win7data").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr><th align="left">用户IP</th>';
								str += '<th align="left">终端类型</th>';
								str += '<th align="left">系统版本</th>';
								str += '<th align="left">用户账号</th>';
								str += '</tr>';
								var len = json.rows.length > 25 ? 25 : json.rows.length;
								for (var k = 0; k < len; k++) {
									r = json.rows[k];
									str += '<tr><td>'+(r.ip)+'</td>';
									str += '<td>'+r.pf+'</td>';
									str += '<td>'+r.win_ver+'</td>';
									str += '<td>'+(r.account == "$" ? "" : r.account)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "syn":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#syndata").length <= 0) return "";
								if ($("#syndata").val() == "") return "";
								var val = decodeURIComponent($("#syndata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">用户IP</th>';
								str += '<th align="left">访问次数</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.ipaddr+'</td>';
									str += '<td>'+r.flowcont+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "ntp":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#ntpdata").length <= 0) return "";
								if ($("#ntpdata").val() == "") return "";
								var val = decodeURIComponent($("#ntpdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">用户IP</th>';
								str += '<th align="left">访问次数</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.ipaddr+'</td>';
									str += '<td>'+r.flowcont+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "msds":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#msdsdata").length <= 0) return "";
								if ($("#msdsdata").val() == "") return "";
								var val = decodeURIComponent($("#msdsdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">用户IP</th>';
								str += '<th align="left">访问次数</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.ipaddr+'</td>';
									str += '<td>'+r.flowcont+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "icmp":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#icmpdata").length <= 0) return "";
								if ($("#icmpdata").val() == "") return "";
								var val = decodeURIComponent($("#icmpdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">用户IP</th>';
								str += '<th align="left">访问次数</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.ipaddr+'</td>';
									str += '<td>'+r.flowcont+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "ssdp":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#ssdpdata").length <= 0) return "";
								if ($("#ssdpdata").val() == "") return "";
								var val = decodeURIComponent($("#ssdpdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">用户IP</th>';
								str += '<th align="left">访问次数</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.ipaddr+'</td>';
									str += '<td>'+r.flowcont+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "tophost":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#tophostdata").length <= 0) return "";
								if ($("#tophostdata").val() == "") return "";
								var val = decodeURIComponent($("#tophostdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">域名</th>';
								str += '<th align="left">访问次数</th>';
								str += '<th align="left">端口号</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">总流量</th></tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									if (r.host == "total") continue;
									str += '<tr>';
									str += '<td>'+r.host+'</td>';
									str += '<td>'+r.num+'</td>';
									str += '<td>'+r.port+'</td>';
									str += '<td>'+numberformats(r.up)+'</td>';
									str += '<td>'+numberformats(r.down)+'</td>';
									str += '<td>'+numberformats(r.up+r.down)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "hostcmp":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#hostcmpdata").length <= 0) return "";
								if ($("#hostcmpdata").val() == "") return "";
								var val = decodeURIComponent($("#hostcmpdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left"></th>';
								str += '<th align="left">域名</th>';
								str += '<th align="left">访问次数</th>';
								str += '<th align="left">差量</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">总流量</th></tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									var df='';
									if (r.diff == r.num)
										df = '<img src="../../img/domain_add.png" width="12px" title="新增">';
									else
									if (r.diff > 0)
										df = '<img src="../../img/domain_up.png" width="16px" title="上升">';
									else
										df = '<img src="../../img/domain_down.png" width="16px" title="下降">';
									str += '<td>'+df+'</td>';
									str += '<td>'+r.host+'</td>';
									str += '<td>'+r.num+'</td>';
									str += '<td>'+r.diff+'</td>';
									str += '<td>'+numberformats(r.up)+'</td>';
									str += '<td>'+numberformats(r.down)+'</td>';
									str += '<td>'+numberformats(r.up+r.down)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "tophost2":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#tophost2data").length <= 0) return "";
								if ($("#tophost2data").val() == "") return "";
								var val = decodeURIComponent($("#tophost2data").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">域名</th>';
								str += '<th align="left">访问次数</th>';
								str += '<th align="left">端口号</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">总流量</th></tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									if (r.host == "total") continue;
									str += '<tr>';
									str += '<td>'+r.host+'</td>';
									str += '<td>'+r.num+'</td>';
									str += '<td>'+r.port+'</td>';
									str += '<td>'+numberformats(r.up)+'</td>';
									str += '<td>'+numberformats(r.down)+'</td>';
									str += '<td>'+numberformats(r.up+r.down)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "qq":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#qqdata").length <= 0) return "";
								if ($("#qqdata").val() == "") return "";
								var val = decodeURIComponent($("#qqdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">QQ</th>';
								str += '<th align="left">访问时间</th>';
								str += '<th align="left">用户IP:端口</th>';
								str += '<th align="left">用户账号</th>';
								str += '<th align="left">MAC</th>';
								str += '<th align="left">目标IP:端口</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.qq+'</td>';
									str += '<td>'+r.time+'</td>';
									str += '<td>'+r.ip+':'+r.sport+'</td>';
									str += '<td>'+r.account+'</td>';
									str += '<td>'+(r.mac == "$" ? "" : r.mac)+'</td>';
									str += '<td>'+r.serip+':'+r.dport+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;

							html += '<br/>';
							var table = page.evaluate(function(){
								if ($("#wxdata").length <= 0) return "";
								if ($("#wxdata").val() == "") return "";
								var val = decodeURIComponent($("#wxdata").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">微信</th>';
								str += '<th align="left">访问时间</th>';
								str += '<th align="left">用户IP:端口</th>';
								str += '<th align="left">用户账号</th>';
								str += '<th align="left">MAC</th>';
								str += '<th align="left">目标IP:端口</th>';
								str += '</tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.uid+'</td>';
									str += '<td>'+r.time+'</td>';
									str += '<td>'+r.ip+(r.sport == "0" ? "" : (':'+r.sport))+'</td>';
									str += '<td>'+r.acc+'</td>';
									str += '<td>'+(r.mac == "$" ? "" : r.mac)+'</td>';
									str += '<td>'+r.mobile+(r.dport == "0" ? "" : (':'+r.dport))+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "npm_topapp":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#npm_apptrend_clntimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#npm_apptrend_svrimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#npm_apptrend_appimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							var table = page.evaluate(function(){
								if ($("#npm_apptrend_json").length <= 0) return "";
								if ($("#npm_apptrend_json").val() == "") return "";
								var val = decodeURIComponent($("#npm_apptrend_json").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr><th align="left" rowspan="2">协议名称</th>';
								str += '<th align="left" colspan=3>最大时延/ms</th>';
								str += '<th align="left" colspan=3>平均时延/ms</th>';
								str += '<th align="left" colspan=2>流量/byte</th>';
								str += '</tr>';
								str += '<tr>';
								str += '<th align="left">客户/ms</th>';
								str += '<th align="left">服务/ms</th>';
								str += '<th align="left">应用/ms</th>';
								str += '<th align="left">客户/ms</th>';
								str += '<th align="left">服务/ms</th>';
								str += '<th align="left">应用/ms</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '</tr>';
								var len = json.rows.length > 25 ? 25 : json.rows.length;
								for (var k = 0; k < len; k++) {
									r = json.rows[k];
									str += '<tr><td>'+(r.app_cname)+'</td>';
									str += '<td>'+r.max_clnt+'</td>';
									str += '<td>'+r.max_svr+'</td>';
									str += '<td>'+r.max_app+'</td>';
									str += '<td>'+r.avg_clnt+'</td>';
									str += '<td>'+r.avg_svr+'</td>';
									str += '<td>'+r.avg_app+'</td>';
									str += '<td>'+numberformats(r.up)+'</td>';
									str += '<td>'+numberformats(r.down)+'</td>';
									str += '</tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "dns":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#dnsyys_pieimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#dnsmap_img").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							var table = page.evaluate(function(){
								if ($("#dnsjson").length <= 0) return "";
								if ($("#dnsjson").val() == "") return "";
								var val = decodeURIComponent($("#dnsjson").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">设备编号</th>';
								str += '<th align="left">DNS</th>';
								str += '<th align="left">连接数</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">运营商</th>';
								str += '<th align="left">地理位置</th></tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.devid+'</td>';
									str += '<td>'+r.dnsip+'</td>';
									str += '<td>'+r.dnscount+'</td>';
									str += '<td>'+numberformats(r.upbytes)+'</td>';
									str += '<td>'+numberformats(r.downbytes)+'</td>';
									str += '<td>'+r.yys+'</td>';
									str += '<td>'+r.areastr+'</td></tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							html += '<div class="part-content">';
							html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc2+'</pre>';
							html += '</div>';
							break;

						case "mylib":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#liblist_img").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							html += '<div class="part-content">';
							html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc2+'</pre>';
							html += '</div>';
							imgsrc = page.evaluate(function(){return $("#libuserlist_img").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							break;

						case "xyd":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#xydlist_img").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							var table = page.evaluate(function(){
								if ($("#xydjson").length <= 0) return "";
								if ($("#xydjson").val() == "") return "";
								var val = decodeURIComponent($("#xydjson").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">IP地址</th>';
								str += '<th align="left">用户账号</th>';
								str += '<th align="left">访问次数</th></tr>';
								for (var k = 0; k < json.rows.length; k++) {
									r = json.rows[k];
									str += '<tr>';
									str += '<td>'+r.ipaddr+'</td>';
									str += '<td>'+(r.account == "$" ? "" : r.account)+'</td>';
									str += '<td>'+r.count+'</td></tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "group_trend":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#group_trend_upimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#group_trend_downimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#group_trend_flowimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							break;

						case "game":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#gameapp").length <= 0) return "";
								if ($("#gameapp").val() == "") return "";
								var val = decodeURIComponent($("#gameapp").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">协议名称</th>';
								str += '<th align="left">连接数</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">总流量</th></tr>';
								for (var k = 0; k < json.detail.length; k++) {
									r = json.detail[k];
									str += '<tr>';
									str += '<td>'+r.cname+'</td>';
									str += '<td>'+r.flowcnt+'</td>';
									str += '<td>'+numberformats(r.upbytes)+'</td>';
									str += '<td>'+numberformats(r.downbytes)+'</td>';
									str += '<td>'+numberformats(r.upbytes+r.downbytes)+'</td></tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							html += '<pre style="font-family:微软雅黑;text-indent:2em">从网络游戏应用排名可以看出，排名靠前是一些大型端游和游戏平台，流量流向';
							html += page.evaluate(function(){return document.getElementById("gameyyslist").value;});
							html += '</pre>';
							var imgsrc = page.evaluate(function(){return $("#gameyysflow_pieimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#gameflow_areaimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							break;

						case "p2p":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#p2papp").length <= 0) return "";
								if ($("#p2papp").val() == "") return "";
								var val = decodeURIComponent($("#p2papp").val());
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">协议名称</th>';
								str += '<th align="left">连接数</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">总流量</th></tr>';
								var r;
								for (var k = 0; k < json.detail.length; k++) {
									r = json.detail[k];
									str += '<tr>';
									str += '<td>'+r.cname+'</td>';
									str += '<td>'+r.flowcnt+'</td>';
									str += '<td>'+numberformats(r.upbytes)+'</td>';
									str += '<td>'+numberformats(r.downbytes)+'</td>';
									str += '<td>'+numberformats(r.upbytes+r.downbytes)+'</td></tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							var str = page.evaluate(function(){
								if ($("#p2papp").length <= 0) return "";
								if ($("#p2papp").val() == "") return "";
								return decodeURIComponent($("#p2papp").val());
							});
							if (str == "") break;
							var json = eval('('+str+')');
							var desc2 = '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc2+'</pre>';
							var r, req;
							for (var k = 0; k < (json.detail.length > 3 ? 3 : json.detail.length); k++) {
								r = json.detail[k];
								switch(k) {
								case 0:
									req = new RegExp('{first}','g');
									desc2 = desc2.replace(req, r.cname);
									break;
								case 1:
									req = new RegExp('{second}','g');
									desc2 = desc2.replace(req, r.cname);
									break;
								case 2:
									req = new RegExp('{third}','g');
									desc2 = desc2.replace(req, r.cname);
									break;
								}
							}
							html += desc2;
							var yyslist = page.evaluate(function(){
								if ($("#p2pyyslist").length <= 0) return "";
								if ($("#p2pyyslist").val() == "") return "";
								return document.getElementById("p2pyyslist").value;
							});
							if (yyslist == "") break;
							var req = new RegExp('{yyslist}','g');
							var desc3 = (rp.module[i].mlist[j].desc3).replace(req, yyslist);
							html += '<pre style="font-family:微软雅黑;text-indent:2em">'+desc3+'</pre>';
							var imgsrc = page.evaluate(function(){return $("#p2pyysflow_pieimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#p2pflow_areaimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							break;

						case "mobile":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var table = page.evaluate(function(){
								if ($("#mobileapp").length <= 0) return "";
								if ($("#mobileapp").val() == "") return "";
								var val = decodeURIComponent($("#mobileapp").val());
								console.log("1"+val);
								var json = eval('('+val+')');
								var str = '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
								str += '<tr>';
								str += '<th align="left">协议名称</th>';
								str += '<th align="left">连接数</th>';
								str += '<th align="left">上行流量</th>';
								str += '<th align="left">下行流量</th>';
								str += '<th align="left">总流量</th></tr>';
								for (var k = 0; k < json.detail.length; k++) {
									r = json.detail[k];
									str += '<tr>';
									str += '<td>'+r.cname+'</td>';
									str += '<td>'+r.flowcnt+'</td>';
									str += '<td>'+numberformats(r.upbytes)+'</td>';
									str += '<td>'+numberformats(r.downbytes)+'</td>';
									str += '<td>'+numberformats(r.upbytes+r.downbytes)+'</td></tr>';
								}
								str += '</table>';
								return str;
							});
							html += table;
							break;

						case "flow_area":
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#flow_areaimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#httpyysflow_pieimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							break;

						case "yysflow":
							var imgsrc = page.evaluate(function(){return $("#yysflow_pieimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							imgsrc = page.evaluate(function(){return $("#yysflow_columnimg").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';
							html += '<div class="part-content">';
							var s = page.evaluate(function(){
								if ($("#yyslist").length <= 0) return "";
								if ($("#yyslist").val() == "") return "";
								return $("#yyslist").val();
							});
							if (s == "") break;
							var req = new RegExp('{topyys}','g');
							var desc = (rp.module[i].mlist[j].desc).replace(req, s);
							html += '<pre style="font-family:微软雅黑;text-indent:2em">'+desc+'</pre>';
							html += '</div>';
							break;

						case "top_ip":
							var iplist5 = page.evaluate(function(){
								if ($("#iplist5").length <= 0) return "";
								if ($("#iplist5").val() == "") return "";
								return document.getElementById("iplist5").value;
							});
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+iplist5+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#topip_img").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';

							// iptoapp
							var table = page.evaluate(function(){
								var str = '';
								if ($("#iplist5").length <= 0) return "";
								if ($("#iplist5").val() == "") return "";
								iplist5 = document.getElementById("iplist5").value;
								var d = iplist5.split(',');
								$("[name='iptoapp_json_bytes']").each(function(index){
									str += '<br/>';
									str += '<div style="font-family:微软雅黑;">对排名第'+(index+1)+'的'+d[index]+'进行进一步分析，发现该IP使用的协议排名如下</div>';
									str += '<br/>';
									if ($(this).val() != "") {
										var val = decodeURIComponent($(this).val());
										json = eval('('+val+')');
										str += '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
										str += '<tr>';
										str += '<th align="left">协议名称</th>';
										str += '<th align="left">连接数</th>';
										str += '<th align="left">上行流量</th>';
										str += '<th align="left">下行流量</th>';
										str += '<th align="left">总流量</th></tr>';
										var len = json.rows.length > 25 ? 25 : json.rows.length;
										for (var k = 0; k < len; k++) {
											r = json.rows[k];
											str += '<tr>';
											str += '<td>'+r.cname+'</td>';
											str += '<td>'+r.flowcnt+'</td>';
											str += '<td>'+numberformats(r.upbytes)+'</td>';
											str += '<td>'+numberformats(r.downbytes)+'</td>';
											str += '<td>'+numberformats(r.upbytes+r.downbytes)+'</td></tr>';
										}
										str += '</table>';
									}
								});
								return str;
							});
							html += table;
							break;

						case "top_ip_flow":
							var iplist5 = page.evaluate(function(){
								if ($("#iplist5_flow").length <= 0) return "";
								if ($("#iplist5_flow").val() == "") return "";
								return document.getElementById("iplist5_flow").value;
							});
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+iplist5+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#topip_img_flow").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';

							// iptoapp
							var table = page.evaluate(function(){
								var str = '';
								if ($("#iplist5_flow").length <= 0) return "";
								if ($("#iplist5_flow").val() == "") return "";
								var iplist5 = document.getElementById("iplist5_flow").value;
								var d = iplist5.split(',');
								$("[name='iptoapp_json_flow']").each(function(index){
									str += '<br/>';
									str += '<div style="font-family:微软雅黑;">对排名第'+(index+1)+'的'+d[index]+'进行进一步分析，发现该IP使用的协议排名如下</div>';
									str += '<br/>';
									if ($(this).val() != "") {
										var val = decodeURIComponent($(this).val());
										var json = eval('('+val+')');
										str += '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
										str += '<tr>';
										str += '<th align="left">协议名称</th>';
										str += '<th align="left">连接数</th>';
										str += '<th align="left">上行流量</th>';
										str += '<th align="left">下行流量</th>';
										str += '<th align="left">总流量</th></tr>';
										var len = json.rows.length > 25 ? 25 : json.rows.length;
										for (var k = 0; k < len; k++) {
											r = json.rows[k];
											str += '<tr>';
											str += '<td>'+r.cname+'</td>';
											str += '<td>'+r.flowcnt+'</td>';
											str += '<td>'+numberformats(r.upbytes)+'</td>';
											str += '<td>'+numberformats(r.downbytes)+'</td>';
											str += '<td>'+numberformats(r.upbytes+r.downbytes)+'</td></tr>';
										}
										str += '</table>';
									}
								});
								return str;
							});
							html += table;

							break;
						case "top_app":
							var applist5 = page.evaluate(function(){
								if ($("#applist5").length <= 0) return "";
								if ($("#applist5").val() == "") return "";
								return document.getElementById("applist5").value;
							});
							if (rp.module[i].mlist[j].desc != "") {
								html += '<div class="part-content">';
								html += '<pre style="font-family:微软雅黑;text-indent:2em">'+rp.module[i].mlist[j].desc+applist5+'</pre>';
								html += '</div>';
							}
							var imgsrc = page.evaluate(function(){return $("#topapp_img").attr("src");});
							html += '<div class="part-img"><img src="'+(imgsrc)+'" /></div>';

							var table = page.evaluate(function(){
								var str = '';
								if ($("#applist5").length <= 0) return "";
								if ($("#applist5").val() == "") return "";
								var applist5 = document.getElementById("applist5").value;
								var d = applist5.split(',');
								$("[name='appobjjson']").each(function(index){
									str += '<br/>';
									str += '<div style="font-family:微软雅黑;">对排名第'+(index+1)+'的'+d[index]+'进行进一步分析，发现该协议使用的用户排名如下</div>';
									str += '<br/>';
									if ($(this).val() != "") {
									var val = decodeURIComponent($(this).val());
									json = eval('('+val+')');
									str += '<table style="font-family:微软雅黑;font-size:14px;border:1px solid #ddd;width:700px;border-collapse:collapse;" border=1>';
									str += '<tr>';
									str += '<th align="left">用户IP</th>';
									str += '<th align="left">用户账号</th>';
									str += '<th align="left">连接数</th>';
									str += '<th align="left">上行流量</th>';
									str += '<th align="left">下行流量</th>';
									str += '<th align="left">总流量</th></tr>';
									for (var k = 0; k < json.rows.length; k++) {
										r = json.rows[k];
										str += '<tr>';
										str += '<td>'+r.ip+'</td>';
										str += '<td>'+r.account+'</td>';
										str += '<td>'+r.flowcnt+'</td>';
										str += '<td>'+numberformats(r.upbytes)+'</td>';
										str += '<td>'+numberformats(r.downbytes)+'</td>';
										str += '<td>'+numberformats(r.upbytes+r.downbytes)+'</td></tr>';
									}
									str += '</table>';
									}
								});
								return str;
							});
							html += table;
							break;
					}

				}
			}
		}
		html += '<script>';
		html += '$("#export-word").click(function(event) {var wordname=$("#wordname").val();$(".main-report").wordExport(wordname);});';
		html += '</script>';
		html += '</body>';
		html += '</html>';

		fs.write(outputfile, html, 'w');
		phantom.exit();
});

