// top ip
function topapplist(starttime, endtime, render, imgrender)
{
	var page = 1;
	var devid = 0;
	var linkid = -1;
	var limit = 25;
	var sort = "total";

	var errname = (new Date()).getTime()+'.st';

	$.ajax({
		url:'ajax_report.php',
		data:{action:'topapp',devid:devid, linkid:linkid, tmstart:starttime, tmend:endtime, page: page, limit: limit, sort:sort, errname:errname, appid: -1},
		type:'post',
		dataType:'json',
		async:false,
		success:function(json) {
			topapp_graph(json, starttime, endtime, render, imgrender);
		}
	});
}

function getip(json, starttime, endtime)
{
	var applist5 = '';
	for (var i = 0; i < json.detail.length; i++) {
		if (i < 5) {
			applist5 += json.detail[i].cname + (i < 4 ? ',' : '');
			apptoip(json.detail[i].appid, starttime, endtime);
			continue;
		}
		break;
	}
	$("#applist5").val(applist5);
}

function topapp_graph(json, starttime, endtime, render, imgrender)
{
	var maxflow = 0;
	for (var i = 0; i < json.detail.length; i++) {
		if (json.detail[i].flowcnt > maxflow)
			maxflow = json.detail[i].flowcnt;
	}

	var yup = [], ydown = [], yflow = [], x = [];
	var len = json.detail.length;
	for (var i = 0; i < len; i++) {
		x.push(json.detail[i].cname);
		yup.push({value: json.detail[i].upbytes});
		ydown.push({value: json.detail[i].downbytes});
		yflow.push({value: json.detail[i].flowcnt});
	}

	var dom = document.getElementById(render);
	var mychart = echarts.init(dom, 'macarons');

	var option = {
		backgroundColor:'#ffffff',
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#666666",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#666666'
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:50,
			bottom: 50,
			textStyle: {
				color: "#666666",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#666666',
				textStyle: {
					fontSize: 8,
					color: '#666666'
				}
			},
			data: x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				color: '#666666',
				textStyle: {
					color: "#666666",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}, {
            		type: 'value',
            		scale: true,
            		boundaryGap: [0.2, 0.2],
			min: 0,
			max: maxflow,
			splitLine: {
				show: false,
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
			axisLabel: {
				interval: 0,
				color: '#666666',
				textStyle: {
					color: "#666666",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			position: 'right',
        	}],
		animation:false,
		series: [
		{
			name: "连接数",
			type: "line",
			stack: "总量",
			symbol: 'none',
			symbolSize:10,
			yAxisIndex: 1,
			smooth: true,
			itemStyle: {
				normal: {
					//color: 'rgb(155, 127, 14)',
					label: {
						show: false,
						textStyle: {
							color: "#666666"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yflow,
		},
		{
			name: "上行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
							color: "#666666"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yup,
		},
		{
			name: "下行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					//color: "rgba(0,191,183,1)",
					label: {
						show: false,
						textStyle: {
							color: "#666666"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ydown,
		}]
	}
	mychart.setOption(option);
	var imgurl = mychart.getDataURL();
	$("#"+imgrender).attr("src", (imgurl));
	getip(json, starttime, endtime);
}

