<?php

/*
nginx 1.20.2, Support php proxy authentication
nginx.conf, add "include snippets/*.conf;" to server section  
server {
	......
	......
	......
	......
	
	include snippets/*.conf;

	location / {
		root   /usr/logd/www;
		index  index.php index.html index.htm;

		auth_request /ngx_auth_request;
	}
	
	......
}
*/

$pos = strpos($_SERVER['REQUEST_URI'], '/', 1);
if($pos === false)
	$resources = substr($_SERVER['REQUEST_URI'], 1);
else
	$resources = substr($_SERVER['REQUEST_URI'], 1, $pos - 1);

// Check whether it is a resource of the cloud platform
$iscloud = 0;
$resources_list = "{$_SERVER['DOCUMENT_ROOT']}/cloud/resources.php";
if(file_exists($resources_list)) {
	$fd = fopen($resources_list, 'r');
	if($fd) {
		while(!feof($fd)) {
			if(($buf = fgets($fd)) === false)
				break;
			if($resources == trim($buf, " \t\n\r\0\x0B\"")) {
				$iscloud = 1;
				break;
			}
		}
		fclose($fd);
	}
}

if($iscloud) {
	$auth_request_php = "{$_SERVER['DOCUMENT_ROOT']}/cloud/auth_request.php";
	if(file_exists($auth_request_php) == false)
		$auth_request_php = "{$_SERVER['DOCUMENT_ROOT']}/log_auth.php";
}
else {
	$auth_request_php = "{$_SERVER['DOCUMENT_ROOT']}/log_auth.php";
	if(file_exists($auth_request_php) == false)
		$auth_request_php = "{$_SERVER['DOCUMENT_ROOT']}/cloud/auth_request.php";
}

if(file_exists($auth_request_php) == false) {
	// Unauthorized, return 401
	// header("HTTP/1.0 401 Unauthorized, No Certification Program Found.");
	return true;
	// exit;
}

require_once($auth_request_php);
