<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = $_GET['id'];
$cname = $_GET['cname'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['appcname']?> 协议时延趋势图</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function action_submit()
{
	var devid = getdevice();
	var appid = $("#appid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{action: 'npmtrend_dump', starttime:starttime, endtime:endtime, errname:errname, devid: devid, appid: appid},
		success:function(json) {
			cluster_load_hide();

			$(".npmtrend-nav").show();

			draw_trend(json.date, json.clnt, "clntrender");
			draw_trend(json.date, json.svr, "svrrender");
			draw_trend(json.date, json.app, "apprender");
			draw_retmixpkt(json.date, json.uppkts, json.upretpkts, "upretpktsrender");
			draw_retmixpkt(json.date, json.dnpkts, json.dnretpkts, "dnretpktsrender");
		}
	});
}

function draw_trend(xdate, ydata, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	switch(render) {
	case "clntrender":
		title = "客户端时延/ms";
		break;
	case "svrrender":
		title = "服务时延/ms";
		break;
	case "apprender":
		title = "应用时延/ms";
		break;
	}
	title += " "+starttime+'/'+endtime;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			}
		},
		title: {
			text: title,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 14,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			data: xdate
		},
		grid: {
			left: '8%',
			top: '15%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
		},
		series: [{
				name:'平均时延',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				data: ydata
			}
		]
	};

	myChart.setOption(option);
}

function draw_retmixpkt(xdate, pkts, retpkts, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "upretpktsrender":
		title = "上行重传";
		break;
	case "dnretpktsrender":
		title = "下行重传";
		break;
	default:
		return;
	}

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			},
			formatter: function(params, ticket, callback) {
				var h = params[0].name;
				h += '<br/>' + params[0].seriesName + ': ' + numberformats(params[0].value);
				h += '<br/>' + params[1].seriesName + ': ' + numberformats(params[1].value);
				h += '<br/>重传率: ' + ((params[0].value != 0) ? params[1].value / params[0].value : 0);
				return h;
			}
		},
		legend: {
			enable: true
		},
		title: {
			text: title,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 14,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			data: xdate
		},
		grid: {
			left: '8%',
			top: '15%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
		},
		series: [{
				name: '包数',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
				},
				data:pkts 
			},{
				name: '重传包数',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
				},
				data:retpkts 
			}
		]
	};

	myChart.setOption(option);
}

</script>
</head>

<body>
<div class="outer">
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
	<input type="hidden" value="<?=$_GET['appcname']?>" id="appcname" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<div style="position:relative; display:none;" class="npmtrend-nav">
		<div id="clntrender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
		<div id="svrrender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
		<div id="apprender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
		<div id="upretpktsrender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
		<div id="dnretpktsrender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
	</div>
</div>
<div style="position:absolute; right:30px; top:20px;">
	<a class="layui-btn layui-btn-xs layui-btn-normal" href="javascript:histrend_3day('clnt')">三日对比</a>
</div>
<div style="position:absolute; right:30px; top:335px;">
	<a class="layui-btn layui-btn-xs layui-btn-normal" href="javascript:histrend_3day('svr')">三日对比</a>
</div>
<div style="position:absolute; right:30px; top:650px;">
	<a class="layui-btn layui-btn-xs layui-btn-normal" href="javascript:histrend_3day('app')">三日对比</a>
</div>
<script type="text/javascript">
action_submit();

function histrend_3day(datatype)
{
	var devid = getdevice();
	var appid = $("#appid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var appcname = $("#appcname").val();

	var url = 'history_3day.php?appid='+appid+'&appcname='+encodeURIComponent(appcname)+'&starttime='+starttime+'&endtime='+endtime+'&devid='+devid+'&datatype='+datatype;

	ShowWindow(url, "", 800, 700);
}
</script>
</body>
</html>

